<?php

use Monolog\Logger;

class DatabaseBackup
{
  const BACKUP_PATH = "backup_db";

  private $log;
  private $databaseConnection;

  public function __construct(Logger $log)
  {
    $this->log = $log;
    $database = new Database();
    $this->databaseConnection = $database->connect_mysqli();
  }

  public function backup()
  {
    $backup = new Backup($this->databaseConnection);

    if (!file_exists(DatabaseBackup::BACKUP_PATH)) {
      mkdir(DatabaseBackup::BACKUP_PATH);
    }

    $backup_name = "backup_db/db_bak___" . date('H-i-s') . "_" . date('d-m-Y') . "__rand" . rand(1, 111) . ".sql";
    $tables = array($backup->tableClient, $backup->tableDevice, $backup->tableHouse, $backup->tableCorres, $backup->news, $backup->tableObject);

    $this->log->info("Erstelle Datenbanksicherung: <b>" . $backup_name . "</b>", ['detail' => true]);

    $backup->export_database($tables, $backup_name);
  }
}