<?php

class UpdateTable
{
  private $log;
  private $objectId;
  private $objectTitle;

  public function __construct(Monolog\Logger $log, $objectId, $objectTitle)
  {
    $this->log = $log;
    $this->objectId = $objectId;
    $this->objectTitle = $objectTitle;
  }

  function drawClientUpdateTable($updateData)
  {
    echo "Objekt #<b>$this->objectId</b>: $this->objectTitle <br><br> <table class='table table-bordered'>
						<thead>
							<tr>
								<th>ID</th>
								<th>Nachname</th>
								<th>Vorname</th>
								<th>Nachname2</th>
								<th>Vorname2</th>
								<th>Firma</th>
								<th>E-Mail</th>
								<th>E-Mail2</th>
								<th>Mobil</th>
								<th>Level</th>
								<th>Wohnung</th>
								<th>Beirat</th>
								<th>Gewichtung</th>
								<th>Gewtg. Garage</th>
								<th>Änderung</th>
							</tr>
						</thead><tbody>";

    foreach ($updateData as $clientObject) {
      echo "<tr class='table-primary'>";
      echo "<th>$clientObject->id</th>";

      echo $this->getTDOptionalChanged($clientObject->surname, $clientObject->hasSurnameChanged, $clientObject->newEntry, $clientObject->client_update_type);
      echo $this->getTDOptionalChanged($clientObject->firstName, $clientObject->hasFirstNameChanged, $clientObject->newEntry, $clientObject->client_update_type);
      echo $this->getTDOptionalChanged($clientObject->surname2, $clientObject->hasSurname2Changed, $clientObject->newEntry, $clientObject->client_update_type);
      echo $this->getTDOptionalChanged($clientObject->firstName2, $clientObject->hasFirstName2Changed, $clientObject->newEntry, $clientObject->client_update_type);
      echo $this->getTDOptionalChanged($clientObject->company, $clientObject->hasIsCompanyChanged, $clientObject->newEntry, $clientObject->client_update_type);
      echo $this->getTDOptionalChanged($clientObject->email, $clientObject->hasEmailChanged, $clientObject->newEntry, $clientObject->client_update_type);
      echo $this->getTDOptionalChanged($clientObject->email2, $clientObject->hasEmail2Changed, $clientObject->newEntry, $clientObject->client_update_type);
      echo $this->getTDOptionalChanged($clientObject->mobil, $clientObject->hasMobilChanged, $clientObject->newEntry, $clientObject->client_update_type);

      //TODO: Use generic function to get always Level-string by value
      $contenLevel = "";
      if ($clientObject->level == 0)
        $contenLevel = "Mieter";
      elseif ($clientObject->level == 1)
        $contenLevel = "Eigentümer";
      echo $this->getTDOptionalChanged($contenLevel, $clientObject->hasLevelChanged, $clientObject->newEntry, $clientObject->client_update_type, true);

      echo $this->getTDOptionalChanged($clientObject->flat, $clientObject->hasFlatChanged, $clientObject->newEntry, $clientObject->client_update_type, true);
      echo $this->getTDOptionalChanged($clientObject->isCouncil, $clientObject->hasIsCouncilChanged, $clientObject->newEntry, $clientObject->client_update_type, true);
      $formattedFlatWeight = sprintf("%.2f", floatval($clientObject->flatWeight / 100));
      echo $this->getTDOptionalChanged($formattedFlatWeight, $clientObject->hasFlatWeightChanged, $clientObject->newEntry, $clientObject->client_update_type, true, ($clientObject->flatWeight == 0));
      $formattedGarageWeight = sprintf("%.2f", floatval($clientObject->garageWeight / 100));
      echo $this->getTDOptionalChanged($formattedGarageWeight, $clientObject->hasGarageWeightChanged, $clientObject->newEntry, $clientObject->client_update_type, true, ($clientObject->garageWeight == 0));

      //some company names used line-breaks, should be replaced by spaces
      $remove_character = array("\n", "\r\n", "\r");
      $breakFreeCompany = $clientObject->company;
      $breakFreeCompany = str_replace($remove_character, " ", $breakFreeCompany);

      if ($clientObject->client_update_type == ClientUpdate::CREATE) {
        if ($clientObject->newEntry)
          echo "<td><button type='button' class='btn btn-primary'";
        else
          echo "<td><button type='button' class='btn btn-info'";

        echo " onclick='updateDB(this, 1, \"$clientObject->id\", \"$clientObject->firstName\", \"$clientObject->surname\", \"$clientObject->firstName2\", \"$clientObject->surname2\", \"$breakFreeCompany\", \"$clientObject->flat\", \"$clientObject->email\", \"$clientObject->email2\", \"$clientObject->mobil\", \"$clientObject->level\", \"$clientObject->isCouncil\", \"$clientObject->flatWeight\", \"$clientObject->garageWeight\", \"$this->objectId\", \"$clientObject->objectId\" )'>";

        if ($clientObject->newEntry)
          echo "Erstelle kompletten Eintrag</button></td>";
        else
          echo "Erstelle Objekt-Verbindung</button></td>";
      } elseif ($clientObject->client_update_type == ClientUpdate::DELETE)
        echo "<td><button type='button' class='btn btn-danger' onclick='updateDB(this, 2, \"$clientObject->id\", \"$clientObject->firstName\", \"$clientObject->surname\", \"$clientObject->firstName2\", \"$clientObject->surname2\", \"$breakFreeCompany\", \"$clientObject->flat\", \"$clientObject->email\", \"$clientObject->email2\", \"$clientObject->mobil\", \"$clientObject->level\", \"$clientObject->isCouncil\", \"$clientObject->flatWeight\", \"$clientObject->garageWeight\", \"$this->objectId\", \"$clientObject->objectId\" )'>Lösche Objekt-Verbindung</button></td>";
      elseif ($clientObject->client_update_type == ClientUpdate::UPDATE)
        echo "<td><button type='button' class='btn btn-warning' onclick='updateDB(this, 3, \"$clientObject->id\", \"$clientObject->firstName\", \"$clientObject->surname\", \"$clientObject->firstName2\", \"$clientObject->surname2\", \"$breakFreeCompany\", \"$clientObject->flat\", \"$clientObject->email\", \"$clientObject->email2\", \"$clientObject->mobil\", \"$clientObject->level\", \"$clientObject->isCouncil\", \"$clientObject->flatWeight\", \"$clientObject->garageWeight\", \"$this->objectId\", \"$clientObject->objectId\" )'>Aktualisiere Kunden-Daten</button></td>";

      elseif ($clientObject->client_update_type == ClientUpdate::UPDATE_FLAT_WEIGHT) {
        /*
        echo "<td><button type='button' class='btn btn-warning' onclick='updateDB(this, 4, \"$clientObject->id\", \"$clientObject->firstName\", \"$clientObject->surname\", \"$clientObject->firstName2\", \"$clientObject->surname2\", \"$breakFreeCompany\", \"$clientObject->flat\", \"$clientObject->email\", \"$clientObject->email2\", \"$clientObject->mobil\", \"$clientObject->level\", \"$clientObject->isCouncil\", \"$clientObject->flatWeight\", \"$house_id\" )'>Aktualisieren</button></td>";
        */
        // Automatically update the flat weight
        // Second part in client.php (line 371)
        /*
      global $db;
        $client = new Client($db);
        $client->pid = $clientObject->id;
    $client->house_id = $house_id;
    $client->flat = $clientObject->flat;
    $client->level = $clientObject->level;
    $client->isCouncil = $clientObject->isCouncil;
    $client->flatWeight = $clientObject->flatWeight;
    $client->garageWeight = $clientObject->garageWeight;
        $client->update_flatweight();
        */
      }

      echo "</tr>";
    }

    echo "</tbody></table>";
  }

  private function getTDOptionalChanged($content, $isChanged, $newEntry, $update_type, $isCorres = false, $caution = false)
  {
    if ($update_type == ClientUpdate::CREATE) {
      if ($newEntry) {
        if ($caution)
          return "<td>$content <img src='images/warning_22px.png' alt='Gewichtung falsch?' title='Darf die Gewichtung 0 sein?' /></td>";
        else
          return "<td>$content</td>";
      } elseif ($isCorres) {
        if ($caution)
          return "<td	class='btn-info'>$content <img src='images/warning_22px.png' alt='Gewichtung falsch?' title='Darf die Gewichtung 0 sein?' /></td>";
        else
          return "<td	class='btn-info'>$content</td>";
      }
    } elseif ($update_type == ClientUpdate::UPDATE) {
      if ($isCorres)
        return "<td	class='locked'>$content</td>";
      elseif ($isChanged)
        return "<td	class='btn-warning'>$content</td>";
    } elseif ($update_type == ClientUpdate::DELETE) {
      if ($isCorres)
        return "<td	class='btn-danger'>$content</td>";
    }

    return "<td>$content</td>";
  }
}