<?php

require_once 'ClientClass.php';

class LegacyClientConverter
{
  private $log;

  public function __construct(Monolog\Logger $log)
  {
    $this->log = $log;
  }

  public function convertRealEstateToClientArray(RealEstateModel $realEstateModel): ?array
  {
    $resultingClients = array();

    // Check if we have one owner for the "object"
    if ($realEstateModel->getOwner()) {
      $owner = $realEstateModel->getOwner();
      $result = new ClientClass();
      $result->houseId = $realEstateModel->getObjectId();
      $result->level = $owner->getLevel();
      $result->isCouncil = (int)$owner->getIsCouncil();
      $result->id = $owner->getId();
      $result->firstName = $owner->getFirstName();
      $result->firstName2 = $owner->getFirstName2();
      $result->company = $owner->getCompany();
      $result->surname = $owner->getSurName();
      $result->surname2 = $owner->getSurName2();
      $result->mobil = $owner->getMobil();
      $result->email = $owner->getEmail();
      $result->email2 = $owner->getEmail2();

      array_push($resultingClients, $result);
    }

    // Iterate over the houses
    $houses = $realEstateModel->getHouses();
    foreach ($houses as $house) {
      $flats = $house->getFlats();
      foreach ($flats as $flat) {
        $clients = $flat->getClients();
        foreach ($clients as $client) {
          $result = new ClientClass();
          $result->houseId = $realEstateModel->getObjectId();
          $result->flat = $flat->getNumber();
          $result->level = $client->getLevel();
          $result->isCouncil = (int)$client->getIsCouncil();
          $result->flatWeight = $flat->getFlatWeight();
          $result->garageWeight = $flat->getGarageWeight();
          $result->id = $client->getId();
          $result->firstName = $client->getFirstName();
          $result->firstName2 = $client->getFirstName2();
          $result->company = $client->getCompany();
          $result->surname = $client->getSurName();
          $result->surname2 = $client->getSurName2();
          $result->mobil = $client->getMobil();
          $result->email = $client->getEmail();
          $result->email2 = $client->getEmail2();
          $result->objectId = $house->getHouseId();

          array_push($resultingClients, $result);
        }
      }
    }

    return $resultingClients;
  }


}