<?php 
  // Headers
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');
  header('Access-Control-Allow-Methods: POST');
  header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

  include_once '../../config/database.php';
  include_once '../../models/news.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate blog news object
  $news = new News($db);

  // Get raw posted data
  $data = json_decode(file_get_contents("php://input"));

  //assign data to news class
  $news->title = urldecode( $data->title );
  $news->text = urldecode( $data->text );
  if( urldecode( $data->owner ) == 1 )
    $news->level = 1;
  $news->isCouncil = urldecode( $data->isCouncil );
  $news->house_id = urldecode( $data->house_id_news );

  // Create news
  if( $news->create_news() ) {
    if( $data->notification == 0 )
    {
      echo json_encode(
        array('message' => 'News Created')
      );
    }
    //else also create notification
    else {
        if( $news->notify_news() ) {
          echo json_encode(
            array('message' => 'News created and notification sent!')
          );
        }
        else {
          echo json_encode(
            array('message' => 'News created, but NO notification!')
          );
        }
    }
  } else {
    echo json_encode(
      array('message' => 'News NOT created')
    );
  }