<?php 
  // Headers
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');

  include_once '../../config/database.php';
  include_once '../../models/client.php';
  include_once '../../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate blog client object
  $client = new Client($db);

  // Get hash
  $code = isset($_GET['code']) ? $_GET['code'] : die();

  // Get client
  $result = $client->get_clientz_with_email( $code );

  // Check if any client is available
  if( Helper::arrayContainsItems( $result ) ) {
    // client array
    $client_arr = array();

    while($row = $result->fetch(PDO::FETCH_ASSOC)) {
      extract($row);

      $client_item = array(
        'pid' => $pid,
        'first_name' => html_entity_decode($first_name),
        'last_name' => html_entity_decode($last_name),
        'first_name2' => html_entity_decode($first_name),
        'last_name2' => html_entity_decode($last_name),
        'company' => html_entity_decode($company),
        'hash' => html_entity_decode($hash),
        'email' => html_entity_decode($email),
        'email2' => html_entity_decode($email2),
        'active' => html_entity_decode($active),
        'qr_mail_sent' => html_entity_decode($qr_mail_sent)
      );

      // Push to array
      array_push($client_arr, $client_item);
    }

    echo json_encode( $client_arr );

  } else {
    // No client
    echo json_encode(
      array('message' => 'No Client Found')
    );
  }