<?php 
  // Headers
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');

  include_once '../../config/database.php';
  include_once '../../models/client.php';
  include_once '../../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate client object
  $client = new Client($db);

  // Blog client query
  $result = $client->get_correspondences();

  // Check if any clients
  if( Helper::arrayContainsItems( $result ) ) {
    // client array
    $clients_arr = array();
    // $clients_arr['data'] = array();

    while($row = $result->fetch(PDO::FETCH_ASSOC)) {
      extract($row);

      $client_item = array(
        'cid' => $cid,
        'pid' => $pid,
        'first_name' => html_entity_decode($first_name),
        'last_name' => html_entity_decode($last_name),
        'first_name2' => html_entity_decode($first_name2),
        'last_name2' => html_entity_decode($last_name2),
        'company' => html_entity_decode($company),
        'email' => html_entity_decode($email),
        'email2' => html_entity_decode($email2),
        'qr_mail_sent' => html_entity_decode($qr_mail_sent),
        'flat' => $flat,
        'level' => $level,
        'isCouncil' => $isCouncil,
        'flat_weight' => $flat_weight,
        'garage_weight' => $garage_weight,
        'active' => $active,
        'house_id' => $house_id,
        'house_number' => html_entity_decode($house_number),
        'house_street' => html_entity_decode($house_street),
        'house_city' => html_entity_decode($house_city),
        'hash' => $hash,
        'token_count' => $token_count
      );

      // Push to "data"
      array_push($clients_arr, $client_item);
      // array_push($clients_arr['data'], $client_item);
    }

    //print_r( $clients_arr );

    // Turn to JSON & output
    /*echo json_encode( 
      Helper::utf8ize( $clients_arr ) 
    );*/
    echo json_encode( $clients_arr );

  } else {
    // No Clients
    echo json_encode(
      array('message' => 'No Clients Found')
    );
  }