<?php 
  // Headers
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');

  include_once '../../config/database.php';
  include_once '../../models/client.php';
  include_once '../../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate client object
  $client = new Client($db);

  // Blog client query
  $result = $client->get_houses();

  // Check if any clients
  if( Helper::arrayContainsItems( $result ) ) {

    //parses the entire project (with its names/tags unchanged) into json
    $houses = $result->fetchAll(PDO::FETCH_ASSOC);
    echo json_encode( $houses );

  } else {
    // No Clients
    echo json_encode(
      array('message' => 'No Clients Found')
    );
  }