<?php 
  include_once '../../config/header_default_server.php';
  include_once '../../config/database.php';

  include_once '../../models/poll.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate poll object
  $poll = new Poll($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"), true);
  if( !isset( $data) ) {
    error_log( "WARNING: PollCreate body data were not found... ", 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/


  /* 
  {0: 'abc', 1: '123', 2: '99', 3: 'Die vom Verwalter für das o.g. Wirtschaftsjahr vor…ldabrechnungen sind zum angegebenen Datum fällig.', 4: Array(2)['12345678', '123456789'], 5: '1', 6: 'Der vorgelegte und erläuterte Gesamt- und Einzelwi…it bis zur Vorlage eines neuen Wirtschaftsplanes.', 7: Array(1)['0'], 8: '2', 9: 'Nachdem die Jahresabrechnung anerkannt wurde wird … die Entlastung für o.g. Wirtschaftsjahr erteilt.', 10: Array(1)['123456789'], 11: '3', token: 'hf90092h3ja83zA'}
  */

  $poll->name = htmlspecialchars(strip_tags( $data[0] ));
  $poll->pass = htmlspecialchars(strip_tags( $data[1] ));
  $poll->hid = htmlspecialchars(strip_tags( $data[2] ));
  $poll->phash = $poll->create_poll_uuid();

  $numberdecisions = 0;

  if( isset($data[3]) ) {
    $poll->decision_1 = htmlspecialchars(strip_tags( $data[3] ));
    $numberdecisions++;
  }

  if( isset($data[6]) ) {
    $poll->decision_2 = htmlspecialchars(strip_tags( $data[6] ));
    $numberdecisions++;
  }

  if( isset($data[9]) ) {
    $poll->decision_3 = htmlspecialchars(strip_tags( $data[9] ));
    $numberdecisions++;
  }

  if( isset($data[12]) ) {
    $poll->decision_4 = htmlspecialchars(strip_tags( $data[12] ));
    $numberdecisions++;
  }

  if( isset($data[15]) ) {
    $poll->decision_5 = htmlspecialchars(strip_tags( $data[15] ));
    $numberdecisions++;
  }

  if( isset($data[18]) ) {
    $poll->decision_6 = htmlspecialchars(strip_tags( $data[18] ));
    $numberdecisions++;
  }

  if( isset($data[21]) ) {
    $poll->decision_7 = htmlspecialchars(strip_tags( $data[21] ));
    $numberdecisions++;
  }

  if( isset($data[24]) ) {
    $poll->decision_8 = htmlspecialchars(strip_tags( $data[24] ));
    $numberdecisions++;
  }

  if( isset($data[27]) ) {
    $poll->decision_9 = htmlspecialchars(strip_tags( $data[27] ));
    $numberdecisions++;
  }

  if( isset($data[30]) ) {
    $poll->decision_10 = htmlspecialchars(strip_tags( $data[30] ));
    $numberdecisions++;
  }

  if( isset($data[33]) ) {
    $poll->decision_11 = htmlspecialchars(strip_tags( $data[33] ));
    $numberdecisions++;
  }

  if( isset($data[36]) ) {
    $poll->decision_12 = htmlspecialchars(strip_tags( $data[36] ));
    $numberdecisions++;
  }

  if( isset($data[39]) ) {
    $poll->decision_13 = htmlspecialchars(strip_tags( $data[39] ));
    $numberdecisions++;
  }

  if( isset($data[42]) ) {
    $poll->decision_14 = htmlspecialchars(strip_tags( $data[42] ));
    $numberdecisions++;
  }

  if( isset($data[45]) ) {
    $poll->decision_15 = htmlspecialchars(strip_tags( $data[45] ));
    $numberdecisions++;
  }

  if( isset($data[48]) ) {
    $poll->decision_16 = htmlspecialchars(strip_tags( $data[48] ));
    $numberdecisions++;
  }

  if( isset($data[51]) ) {
    $poll->decision_17 = htmlspecialchars(strip_tags( $data[51] ));
    $numberdecisions++;
  }

  if( isset($data[54]) ) {
    $poll->decision_18 = htmlspecialchars(strip_tags( $data[54] ));
    $numberdecisions++;
  }

  if( isset($data[57]) ) {
    $poll->decision_19 = htmlspecialchars(strip_tags( $data[57] ));
    $numberdecisions++;
  }

  if( isset($data[60]) ) {
    $poll->decision_20 = htmlspecialchars(strip_tags( $data[60] ));
    $numberdecisions++;
  }

  if( isset($data[63]) ) {
    $poll->decision_21 = htmlspecialchars(strip_tags( $data[63] ));
    $numberdecisions++;
  }

  if( isset($data[66]) ) {
    $poll->decision_22 = htmlspecialchars(strip_tags( $data[66] ));
    $numberdecisions++;
  }

  if( isset($data[69]) ) {
    $poll->decision_23 = htmlspecialchars(strip_tags( $data[69] ));
    $numberdecisions++;
  }

  if( isset($data[72]) ) {
    $poll->decision_24 = htmlspecialchars(strip_tags( $data[72] ));
    $numberdecisions++;
  }

  if( isset($data[75]) ) {
    $poll->decision_25 = htmlspecialchars(strip_tags( $data[75] ));
    $numberdecisions++;
  }

  if( isset($data[78]) ) {
    $poll->decision_26 = htmlspecialchars(strip_tags( $data[78] ));
    $numberdecisions++;
  }

  if( isset($data[81]) ) {
    $poll->decision_27 = htmlspecialchars(strip_tags( $data[81] ));
    $numberdecisions++;
  }

  if( isset($data[84]) ) {
    $poll->decision_28 = htmlspecialchars(strip_tags( $data[84] ));
    $numberdecisions++;
  }

  if( isset($data[87]) ) {
    $poll->decision_29 = htmlspecialchars(strip_tags( $data[87] ));
    $numberdecisions++;
  }

  if( isset($data[90]) ) {
    $poll->decision_30 = htmlspecialchars(strip_tags( $data[90] ));
    $numberdecisions++;
  }


  // check for all radio buttons and store them in an array
  $weight_settings = array();
  for( $i=0; $i<30; $i++ ) {

    $j = 5 + $i*3; //*3 because every third data row, nr 5 is first
    if( isset($data[ $j ]) ) {
      if( $data[ $j ] == 1 ) { 
        // it is default, nothing to do
      }
      else {
        $wdata["decision_no"] = $i+1; //real decisions start at 1
        $wdata["setting"] = "weight_type";

        //radio button "enum": (1) Garage + Whg. | (2) nur Whg. | (3) nur Garage
        switch( $data[ $j ] ) {
          case 2: $wdata["value"] = "flat"; break;
          case 3: $wdata["value"] = "garage"; break;
          default:;
        }
        array_push( $weight_settings, $wdata );
      }
    }
  }
  if( count($weight_settings) > 0 )
    $poll->weight_settings = $weight_settings;


  // check for all object options and store them in an array
  $object_settings = array();
  for( $i=0; $i<30; $i++ ) {

    $j = 4 + $i*3; //*3 because every third data row, nr 4 is first
    if( isset($data[ $j ]) ) {

      //run thourgh array like Array(1)['0']
      for( $ii=0; $ii<count($data[ $j ]); $ii++ ) {

          //if "Alle" is found, NEXT
          if( $data[ $j ][ $ii ] == 0 )
            break;

          $odata["decision_no"] = $i+1; //real decisions start at 1
          $odata["setting"] = "object";
          $odata["value"] = $data[ $j ][ $ii ];

          array_push( $object_settings, $odata );
      }
    }
  }
  if( count($object_settings) > 0 )
    $poll->object_settings = $object_settings;


  $poll->no_of_decisions = $numberdecisions;
  $poll->active = 0; //by default disable poll after creation

  if( $poll->name != "")
    echo $poll->create_new_poll();
  else
    echo null;