<?php 
  include_once '../../config/header_default_server.php';
  include_once '../../config/database.php';

  include_once '../../models/poll.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate poll object
  $poll = new Poll($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"), true);
  if( !isset( $data) ) {
    error_log( "WARNING: PollCreate body data were not found... ", 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/

  /*
  //data example:
    {0: '2021-09-24 09:19:21', 1: 'Eigentümerversammlung in TestCity', 2: 'WEG TestLand', 3: '123', 4: `5<button class="editButton fas fa-edit btn btn-inf…ity" href="#" '="" style="float:right;"></button>`, 5: '<center><button type="button" name="delete_btn" cl…ss="nav-icon fas fa-check"></i></button></center>', 6: '<center><button type="button" class="btn btn-prima…ass="nav-icon fas fa-play"></i></button></center>', 7: 'Die vom Verwalter für das o.g. ...', 8: 'garage', 9: '1234556', 10: 'Der vorgelegte und erläuterte Gesamt- und Einzelwi…it bis zur Vorlage eines neuen Wirtschaftsplanes.', 11: 'default', 12: '0', 13: 'Nachdem die Jahresabrechnung anerkannt wurde wird … die Entlastung für o.g. Wirtschaftsjahr erteilt.', 14: 'default', 15: '0', 16: 'Die Entlastung für den Verwaltungsbeirat wird erteilt?', 17: 'default', 18: '0', 19: 'Neue Frage :-)', 20: 'default', 21: '0', 22: '', 23: 'default', 24: '0', 25: '', 26: 'default', 27: '0', 28: '', 29: 'default', 30: '0', 31: '', 32: 'default', 33: '0', 34: '', 35: 'default', 36: '0', 37: '', 38: 'default', 39: '0', 40: '', 41: 'default', 42: '0', 43: '', 44: 'default', 45: '0', 46: '', 47: 'default', 48: '0', 49: '', 50: 'default', 51: '0', 52: '', 53: 'default', 54: '0', 55: '', 56: 'default', 57: '0', 58: '', 59: 'default', 60: '0', 61: '', 62: 'default', 63: '0', 64: '', 65: 'default', 66: '0', 67: '', 68: 'default', 69: '0', 70: '', 71: 'default', 72: '0', 73: '', 74: 'default', 75: '0', 76: '', 77: 'default', 78: '0', 79: '', 80: 'default', 81: '0', 82: '', 83: 'default', 84: '0', 85: '', 86: 'default', 87: '0', 88: '', 89: 'default', 90: '0', 91: '', 92: 'default', 93: '0', 94: '', 95: 'default', 96: '0', 97: 'bcf47a94-1d07-11ec-9da8-0cc47a4a5346', token: 'hf90092h3ja83zA'}
*/

  
  if( isset($data[1]) )
    $poll->name = htmlspecialchars(strip_tags( $data[1] ));

  if( isset($data[3]) )
    $poll->pass = htmlspecialchars(strip_tags( $data[3] ));

  $numberdecisions = 0;

  if( isset($data[7]) && $data[7] != "" ) {
    $poll->decision_1 = htmlspecialchars(strip_tags( $data[7] ));
    $numberdecisions++;
  }
  if( isset($data[10]) && $data[10] != "" ) {
    $poll->decision_2 = htmlspecialchars(strip_tags( $data[10] ));
    $numberdecisions++;
  }
  if( isset($data[13]) && $data[13] != "" ) {
    $poll->decision_3 = htmlspecialchars(strip_tags( $data[13] ));
    $numberdecisions++;
  }
  if( isset($data[16]) && $data[16] != "" ) {
    $poll->decision_4 = htmlspecialchars(strip_tags( $data[16] ));
    $numberdecisions++;
  }
  if( isset($data[19]) && $data[19] != "" ) {
    $poll->decision_5 = htmlspecialchars(strip_tags( $data[19] ));
    $numberdecisions++;
  }
  if( isset($data[22]) && $data[22] != "" ) {
    $poll->decision_6 = htmlspecialchars(strip_tags( $data[22] ));
    $numberdecisions++;
  }
  if( isset($data[25]) && $data[25] != "" ) {
    $poll->decision_7 = htmlspecialchars(strip_tags( $data[25] ));
    $numberdecisions++;
  }
  if( isset($data[28]) && $data[28] != "" ) {
    $poll->decision_8 = htmlspecialchars(strip_tags( $data[28] ));
    $numberdecisions++;
  }
  if( isset($data[31]) && $data[31] != "" ) {
    $poll->decision_9 = htmlspecialchars(strip_tags( $data[31] ));
    $numberdecisions++;
  }
  if( isset($data[34]) && $data[34] != "" ) {
    $poll->decision_10 = htmlspecialchars(strip_tags( $data[34] ));
    $numberdecisions++;
  }
  if( isset($data[37]) && $data[37] != "" ) {
    $poll->decision_11 = htmlspecialchars(strip_tags( $data[37] ));
    $numberdecisions++;
  }
  if( isset($data[40]) && $data[40] != "" ) {
    $poll->decision_12 = htmlspecialchars(strip_tags( $data[40] ));
    $numberdecisions++;
  }
  if( isset($data[43]) && $data[43] != "" ) {
    $poll->decision_13 = htmlspecialchars(strip_tags( $data[43] ));
    $numberdecisions++;
  }
  if( isset($data[46]) && $data[46] != "" ) {
    $poll->decision_14 = htmlspecialchars(strip_tags( $data[46] ));
    $numberdecisions++;
  }
  if( isset($data[49]) && $data[49] != "" ) {
    $poll->decision_15 = htmlspecialchars(strip_tags( $data[49] ));
    $numberdecisions++;
  }
  if( isset($data[52]) && $data[52] != "" ) {
    $poll->decision_16 = htmlspecialchars(strip_tags( $data[52] ));
    $numberdecisions++;
  }
  if( isset($data[55]) && $data[55] != "" ) {
    $poll->decision_17 = htmlspecialchars(strip_tags( $data[55] ));
    $numberdecisions++;
  }
  if( isset($data[58]) && $data[58] != "" ) {
    $poll->decision_18 = htmlspecialchars(strip_tags( $data[58] ));
    $numberdecisions++;
  }
  if( isset($data[61]) && $data[61] != "" ) {
    $poll->decision_19 = htmlspecialchars(strip_tags( $data[61] ));
    $numberdecisions++;
  }
  if( isset($data[64]) && $data[64] != "" ) {
    $poll->decision_20 = htmlspecialchars(strip_tags( $data[64] ));
    $numberdecisions++;
  }
  if( isset($data[67]) && $data[67] != "" ) {
    $poll->decision_21 = htmlspecialchars(strip_tags( $data[67] ));
    $numberdecisions++;
  }
  if( isset($data[70]) && $data[70] != "" ) {
    $poll->decision_22 = htmlspecialchars(strip_tags( $data[70] ));
    $numberdecisions++;
  }
  if( isset($data[73]) && $data[73] != "" ) {
    $poll->decision_23 = htmlspecialchars(strip_tags( $data[73] ));
    $numberdecisions++;
  }
  if( isset($data[76]) && $data[76] != "" ) {
    $poll->decision_24 = htmlspecialchars(strip_tags( $data[76] ));
    $numberdecisions++;
  }
  if( isset($data[79]) && $data[79] != "" ) {
    $poll->decision_25 = htmlspecialchars(strip_tags( $data[79] ));
    $numberdecisions++;
  }
  if( isset($data[82]) && $data[82] != "" ) {
    $poll->decision_26 = htmlspecialchars(strip_tags( $data[82] ));
    $numberdecisions++;
  }
  if( isset($data[85]) && $data[85] != "" ) {
    $poll->decision_27 = htmlspecialchars(strip_tags( $data[85] ));
    $numberdecisions++;
  }
  if( isset($data[88]) && $data[88] != "" ) {
    $poll->decision_28 = htmlspecialchars(strip_tags( $data[88] ));
    $numberdecisions++;
  }
  if( isset($data[91]) && $data[91] != "" ) {
    $poll->decision_29 = htmlspecialchars(strip_tags( $data[91] ));
    $numberdecisions++;
  }
  if( isset($data[94]) && $data[94] != "" ) {
    $poll->decision_30 = htmlspecialchars(strip_tags( $data[94] ));
    $numberdecisions++;
  }

  if( isset($data[97]) )
    $poll->phash = htmlspecialchars(strip_tags( $data[97] ));


  // check all weight settings and store them in an array
  $weight_settings = array();
  for( $i=0; $i<30; $i++ ) {

    $j = 8 + $i*3; //*3 because every third data row, nr 8 is first
    if( isset($data[ $j ]) ) {
      if( $data[ $j ] == "default" ) { 
        // it is default, nothing to do
      }
      else {
        $wdata["decision_no"] = $i+1; //real decisions start at 1
        $wdata["setting"] = "weight_type";

        //radio button "enum": (1) Garage + Whg. | (2) nur Whg. | (3) nur Garage
        switch( $data[ $j ] ) {
          case "flat":   $wdata["value"] = "flat"; break;
          case "garage": $wdata["value"] = "garage"; break;
          default:;
        }
        array_push( $weight_settings, $wdata );
      }
    }
  }

  if( count($weight_settings) > 0 )
    $poll->weight_settings = $weight_settings;
  else
    $poll->weight_settings = 0;


  // check all object settings and store them in an array
  $object_settings = array();
  for( $i=0; $i<30; $i++ ) {

    $j = 9 + $i*3; //*3 because every third data row, nr 9 is first
    if( isset($data[ $j ]) ) {

      //run thourgh array like Array(1)['0']
      for( $ii=0; $ii<count($data[ $j ]); $ii++ ) {

          //if "Alle" is found, NEXT
          if( $data[ $j ][ $ii ] == 0 )
            break;

          $odata["decision_no"] = $i+1; //real decisions start at 1
          $odata["setting"] = "object";
          
          if( is_array( $data[ $j ] ) )
            $odata["value"] = $data[ $j ][ $ii ];
          else
            $odata["value"] = $data[ $j ];

          array_push( $object_settings, $odata );
      }
    }
  }
  if( count($object_settings) > 0 )
    $poll->object_settings = $object_settings;
  else
    $poll->object_settings = 0;


  $poll->no_of_decisions = $numberdecisions;
  
  if( $poll->name != "")
    echo $poll->edit_existing_poll();
  else
    echo null;