<?php 
  include_once '../../config/header_default_server.php';
  include_once '../../config/database.php';

  include_once '../../models/poll.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate poll object
  $poll = new Poll($db);


  /**************************************************/


  //get polls
  $data = $poll->get_all_polls();

  if( $data != null ) {

    //poll array
    $poll_arr = array();

    while( $row = $data->fetch(PDO::FETCH_ASSOC) ) {
      extract( $row );

      //create item/row
      $poll_item = array(
        'phash' => $phash,
        'name' => html_entity_decode($name),
        'date' => html_entity_decode($date),
        'hid' => (int)$hid,
        'house_city' => html_entity_decode($house_city),
        'house_name' => html_entity_decode($house_name),
        'active' => (int)$active,
        'no_of_decisions' => (int)$no_of_decisions,
        'pass' => html_entity_decode($pass),
        'decision_1' => array( 'decision' => html_entity_decode($decision_1), 'weight' => 'default', 'object' => '0' ),
        'decision_2' => array( 'decision' => html_entity_decode($decision_2), 'weight' => 'default', 'object' => '0' ),
        'decision_3' => array( 'decision' => html_entity_decode($decision_3), 'weight' => 'default', 'object' => '0' ),
        'decision_4' => array( 'decision' => html_entity_decode($decision_4), 'weight' => 'default', 'object' => '0' ),
        'decision_5' => array( 'decision' => html_entity_decode($decision_5), 'weight' => 'default', 'object' => '0' ),
        'decision_6' => array( 'decision' => html_entity_decode($decision_6), 'weight' => 'default', 'object' => '0' ),
        'decision_7' => array( 'decision' => html_entity_decode($decision_7), 'weight' => 'default', 'object' => '0' ),
        'decision_8' => array( 'decision' => html_entity_decode($decision_8), 'weight' => 'default', 'object' => '0' ),
        'decision_9' => array( 'decision' => html_entity_decode($decision_9), 'weight' => 'default', 'object' => '0' ),
        'decision_10' => array( 'decision' => html_entity_decode($decision_10), 'weight' => 'default', 'object' => '0' ),
        'decision_11' => array( 'decision' => html_entity_decode($decision_11), 'weight' => 'default', 'object' => '0' ),
        'decision_12' => array( 'decision' => html_entity_decode($decision_12), 'weight' => 'default', 'object' => '0' ),
        'decision_13' => array( 'decision' => html_entity_decode($decision_13), 'weight' => 'default', 'object' => '0' ),
        'decision_14' => array( 'decision' => html_entity_decode($decision_14), 'weight' => 'default', 'object' => '0' ),
        'decision_15' => array( 'decision' => html_entity_decode($decision_15), 'weight' => 'default', 'object' => '0' ),
        'decision_16' => array( 'decision' => html_entity_decode($decision_16), 'weight' => 'default', 'object' => '0' ),
        'decision_17' => array( 'decision' => html_entity_decode($decision_17), 'weight' => 'default', 'object' => '0' ),
        'decision_18' => array( 'decision' => html_entity_decode($decision_18), 'weight' => 'default', 'object' => '0' ),
        'decision_19' => array( 'decision' => html_entity_decode($decision_19), 'weight' => 'default', 'object' => '0' ),
        'decision_20' => array( 'decision' => html_entity_decode($decision_20), 'weight' => 'default', 'object' => '0' ),
        'decision_21' => array( 'decision' => html_entity_decode($decision_21), 'weight' => 'default', 'object' => '0' ),
        'decision_22' => array( 'decision' => html_entity_decode($decision_22), 'weight' => 'default', 'object' => '0' ),
        'decision_23' => array( 'decision' => html_entity_decode($decision_23), 'weight' => 'default', 'object' => '0' ),
        'decision_24' => array( 'decision' => html_entity_decode($decision_24), 'weight' => 'default', 'object' => '0' ),
        'decision_25' => array( 'decision' => html_entity_decode($decision_25), 'weight' => 'default', 'object' => '0' ),
        'decision_26' => array( 'decision' => html_entity_decode($decision_26), 'weight' => 'default', 'object' => '0' ),
        'decision_27' => array( 'decision' => html_entity_decode($decision_27), 'weight' => 'default', 'object' => '0' ),
        'decision_28' => array( 'decision' => html_entity_decode($decision_28), 'weight' => 'default', 'object' => '0' ),
        'decision_29' => array( 'decision' => html_entity_decode($decision_29), 'weight' => 'default', 'object' => '0' ),
        'decision_30' => array( 'decision' => html_entity_decode($decision_30), 'weight' => 'default', 'object' => '0' )
      );

      $poll->phash = $phash;
      $arr_weight = $poll->get_poll_settings_weight_by_phash();
      $arr_object = $poll->get_poll_settings_object_by_phash();

      // overwrite default-value with the exception if it is the case
      if( is_array( $arr_weight ) ) {
        for( $i = 0; $i<count($arr_weight); $i++ ) {
          $poll_item[ "decision_" . $arr_weight[$i]['decision_no'] ]['weight'] = $arr_weight[$i]['value'];
        }
      }

      // overwrite default-value with the exception if it is the case
      if( is_array( $arr_object ) ) {
        for( $i = 0; $i<count($arr_object); $i++ ) {
          //simple: $poll_item['decision_2']['object'] = value;
          //$poll_item[ "decision_" . $arr_object[$i]['decision_no'] ]['object'] = $arr_object[$i]['value'];
          if( !is_array($poll_item[ "decision_" . $arr_object[$i]['decision_no'] ]['object']) ) {
            $poll_item[ "decision_" . $arr_object[$i]['decision_no'] ]['object'] = array();
          }
          //array_push( $poll_item[ "decision_" . $arr_object[$i]['decision_no'] ]['object'], $arr_object[$i]['value'] );
          $single_object = array( "oid" => $arr_object[$i]['value'], "title" => $arr_object[$i]['title'] );
          //$poll_item[ "decision_" . $arr_object[$i]['decision_no'] ]['object']['oid'] = $arr_object[$i]['value'];
          //$poll_item[ "decision_" . $arr_object[$i]['decision_no'] ]['object']['title'] = $arr_object[$i]['title'];
          array_push( $poll_item[ "decision_" . $arr_object[$i]['decision_no'] ]['object'], $single_object );
        }
      }

      // Push data set to array
      array_push( $poll_arr, $poll_item );
    }

    //return value
    echo json_encode( $poll_arr );
    exit();
  }
  
  //else, no data
  echo json_encode( array() );
  exit();