<?php 
  include_once '../../config/header_default_server.php';
  include_once '../../config/database.php';

  include_once '../../models/poll.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate poll object
  $poll = new Poll($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"));
  if( !isset( $data) ) {
    error_log( "WARNING: PollActive body data were not found... ", 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/


  if( isset($data->phash) )
    $poll->phash = urldecode( $data->phash );

  $decision = 0;
  if( isset($data->decision) )
    $decision = urldecode( $data->decision );

  //get polls
  $answers = $poll->get_answers_by_decision_no( $decision );

  //get weight string (e.g. default, garage)
  $weightStr = $poll->get_poll_setting_weight_by_phash_decision( $decision );

  $decisionString = $poll->get_decision_by_index( $decision );

  if( $answers != null ) {

    //poll array
    $poll_arr = array();

    while( $row = $answers->fetch(PDO::FETCH_ASSOC) ) {
      extract( $row );

      //depending on weight setting, calculate weight
      $newWeight = 0;
      switch ($weightStr) {
          case "garage":
              $newWeight = (int)$garageWeight;
              break;
          case "flat":
              $newWeight = (int)$flatWeight;
              break;
          default: //default
              $newWeight = (int)$flatWeight + (int)$garageWeight;
      }

      //create item/row
      $poll_item = array(
        'hash' => $hash,
        'first_name' => html_entity_decode($first_name),
        'last_name' => html_entity_decode($last_name),
        'company' => html_entity_decode($company),
        'answer_X' => html_entity_decode($answer_X),
        'decision_X' => html_entity_decode($decisionString),
        'weight' => (int)$newWeight,
        'active_decision' => html_entity_decode($active_decision),
        'counts' => (int)$counts
      );

      // Push answers set to array
      array_push( $poll_arr, $poll_item );
    }

    /*
    / partly duplicated code to calc the weight-results in poll_get_active_decision
    */
    $noOfVoters = 0;
    $noOfAgree = 0;
    $noOfDecline = 0;
    $noOfAbstain = 0;
    $agreeWeight = 0;
    $declineWeight = 0;
    $abstainWeight = 0;
    $maxWeight = 0;
    foreach ($poll_arr as &$value) {
      switch( $value['answer_X'] ) {
        case "1": $noOfAgree += $value['counts']; break; //counts: one flat means 1, if someone has two flat his counts is 2
        case "2": $noOfDecline += $value['counts']; break;
        case "3": $noOfAbstain += $value['counts']; break;
        default:;
      }
      switch( $value['answer_X'] ) {
        case "1": $agreeWeight += $value['weight']; break;
        case "2": $declineWeight += $value['weight']; break;
        case "3": $abstainWeight += $value['weight']; break;
        default:;
      }
      $maxWeight += $value['weight'];
      $noOfVoters++;
    }

    if( $maxWeight > 0 ) {
      $result_agree = $agreeWeight;
      $result_decline = $declineWeight;
      $result_abstain = $abstainWeight;
    }
    else {
      $result_agree = 0;
      $result_decline = 0;
      $result_abstain = 0;
    }

    //result of weight calculation
    $poll_item_result = array(
      'weight_agree' => (int)$result_agree,
      'weight_decline' => (int)$result_decline,
      'weight_abstain' => (int)$result_abstain,
      'weight_max' => (int)$maxWeight,
      'noOfVoters' => (int)$noOfVoters,
      'noOfAgree' => (int)$noOfAgree,
      'noOfDecline' => (int)$noOfDecline,
      'noOfAbstain' => (int)$noOfAbstain
    );
    $poll_arr['results'] = $poll_item_result;

    //return value
    echo json_encode( $poll_arr );
    return;
  }

  echo json_encode( array() );
  //error_log( "WARNING: poll_get_results no results found...", 0);
  exit();