<?php 
  include_once '../../config/header_default_server.php';
  include_once '../../config/database.php';

  include_once '../../models/proxy.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate proxy object
  $proxy = new Proxy($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"), true);
  if( !isset( $data) ) {
    error_log( "WARNING: poll_proxy_create body data were not found... ", 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/


  /* {id: '', absentee: '', agent: '', phash: 'bcf47a94-1d07-11ec-9da8-0cc47a4a5346', "": ''}
  */

  if( isset($data["absentee"]) && isset($data["agent"]) && isset($data["phash"]) ) {

    $proxy->pid_absentee = htmlspecialchars(strip_tags( $data["absentee"] ));
    $proxy->pid_agent = htmlspecialchars(strip_tags( $data["agent"] ));
    $proxy->phash = htmlspecialchars(strip_tags( $data["phash"] ));
    echo $proxy->create_proxy();
  }
  else {
    header('HTTP/1.1 500 Internal Server Error');
    header('Content-Type: application/json; charset=UTF-8');
    //die(json_encode(array('message' => 'ERROR', 'code' => var_dump($data))));
    error_log( "ERROR: poll_proxy_create there is an issue with the data... " . var_dump($data), 0);
  }

  exit(); 