<?php 
  include_once '../../config/header_default_server.php';
  include_once '../../config/database.php';

  include_once '../../models/proxy.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate proxy object
  $proxy = new Proxy($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"), true);
  if( !isset( $data) ) {
    error_log( "WARNING: poll_proxy_delete body data were not found... ", 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/


  /*
  //data example:
    {4: undefined, id: 0, absentee: '012345', agent: '154321', phash: '0815'}
*/
  $proxy_id = -1;
  if( isset($data["id"]) ) {
    $proxy_id = htmlspecialchars(strip_tags( $data["id"] ));
    echo $proxy->delete_proxy( $proxy_id );
  }
  else {
    header('HTTP/1.1 500 Internal Server Error');
    header('Content-Type: application/json; charset=UTF-8');
    //die(json_encode(array('message' => 'ERROR', 'code' => var_dump($data))));
    error_log( "ERROR: poll_proxy_delete there is an issue with the data... ", 0);
  }
  exit();