<?php 
  include_once '../../config/header_default_server.php';
  include_once '../../config/database.php';

  include_once '../../models/proxy.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate proxy object
  $proxy = new Proxy($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"));
  if( !isset( $data) ) {
    error_log( "WARNING: poll_proxy_get body data were not found... ", 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/


  if( isset($data->phash) )
    $proxy->phash = urldecode( $data->phash );


/////////////////////testing
    /*$proxy_arr = array();
    $proxy_item1 = array(
      'id' => 0,
      'absentee' => "012345",
      'proxy' => "154321",
      'phash' => "0815"
    );
    $proxy_item2 = array(
      'id' => 1,
      'absentee' => "112345",
      'proxy' => "254321",
      'phash' => "0815"
    );
    $proxy_item3 = array(
      'id' => 2,
      'absentee' => "212345",
      'proxy' => "354321",
      'phash' => "0815"
    );
    $proxy_item4 = array(
      'id' => 3,
      'absentee' => "312345",
      'proxy' => "454321",
      'phash' => "0815"
    );

    // Push answers set to array
    array_push( $proxy_arr, $proxy_item1 );
    array_push( $proxy_arr, $proxy_item2 );
    array_push( $proxy_arr, $proxy_item3 );
    array_push( $proxy_arr, $proxy_item4 );

    //return value
    echo json_encode( $proxy_arr );
    return;*/
/////////////////////testing


  //get proxy items
  $proxy_items = $proxy->get_proxy();

  if( $proxy_items != null ) {

    //proxy array
    $proxy_arr = array();

    while( $row = $proxy_items->fetch(PDO::FETCH_ASSOC) ) {
      extract( $row );

      //create item/row
      $proxy_item = array(
        'id' => $id,
        'absentee' => html_entity_decode($abs_last_name . " " . $abs_first_name . " " . $abs_company),
        'agent' => html_entity_decode($ag_last_name . " " . $ag_first_name . " " . $ag_company),
        'phash' => html_entity_decode($phash)
      );

      // Push answers set to array
      array_push( $proxy_arr, $proxy_item );
    }

    //return value
    echo json_encode( $proxy_arr );
  }
  else {
    header('HTTP/1.1 500 Internal Server Error');
    header('Content-Type: application/json; charset=UTF-8');
    //die(json_encode(array('message' => 'ERROR', 'code' => var_dump($data))));
    error_log( "ERROR: poll_proxy_get there is an issue with the data... ", 0);
    echo json_encode( array("null" => "null") );
  }
  exit();