<?php 
  include_once '../../config/header_default_server.php';
  include_once '../../config/database.php';

  include_once '../../models/proxy.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate proxy object
  $proxy = new Proxy($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"));
  if( !isset( $data) ) {
    error_log( "WARNING: poll_proxy_get body data were not found... ", 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/


  if( isset($data->phash) )
    $proxy->phash = urldecode( $data->phash );

  //get proxy items
  $proxy_items = $proxy->get_proxy_of_house();

  if( $proxy_items != null ) {

    //proxy array
    $proxy_arr = array();

    while( $row = $proxy_items->fetch(PDO::FETCH_ASSOC) ) {
      extract( $row );

      //create item/row
      $proxy_item = array(
        'pid' => $pid,
        'first_name' => html_entity_decode($first_name),
        'last_name' => html_entity_decode($last_name),
        'company' => html_entity_decode($company)
      );

      // Push answers set to array
      array_push( $proxy_arr, $proxy_item );
    }

    //return value
    echo json_encode( $proxy_arr );
  }
  else {
    header('HTTP/1.1 500 Internal Server Error');
    header('Content-Type: application/json; charset=UTF-8');
    //die(json_encode(array('message' => 'ERROR', 'code' => var_dump($data))));
    error_log( "ERROR: poll_proxy_get_of_house there is an issue with the data... ", 0);
    echo json_encode( array("null" => "null") );
  }
  exit();