<?php 
  // Headers
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');
  header('Access-Control-Allow-Methods: POST, OPTIONS');
  //header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

  include_once '../config/database.php';
  include_once '../models/news.php';
  include_once '../models/client.php';
  include_once '../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate news object
  $news = new News($db);
  // Instantiate client object
  $client = new Client( $db );  

  // Get raw posted data
  $data = json_decode(file_get_contents("php://input"));

  // assign some of those data to the objects
  if (isset($data->hash)) { //check if property exists
    $client->hash = urldecode( $data->hash );
  }
  $news->noOfItems = urldecode( $data->noOfItems );
  $news->offset = urldecode( $data->offset );
  $news->isCouncil = $client->get_council();
  if (isset($data->hash)) { //check if property exists
    $news->house_id = urldecode( $data->house ); //house id (filter)
  }

  //reader headers for hash
  /*foreach (getallheaders() as $name => $value) {
      if( strtoupper( $name ) == "HASH" )
        $client->hash = $value;
  }*/

  //if isCouncil less than 0 => probably hash is wrong (security check1)
  if( $news->isCouncil < 0 && (!isset($data->getAll) || $data->getAll != 1337) )
  {
    echo json_encode(
      array('message' => 'Client not found...')
    );
    return;
  }

  //get all data - admin only
  if( isset($data->getAll) && $data->getAll == 1337 ) {
    $result = $news->get_all_news();
  }
  //get single data depending on house id(s)
  else {
    //get all data depending on house ids of client
    if( $news->house_id == 0 ) {
      //if there is no house id, get all available house ids via hash
      $news->house_id = $client->get_house_ids();
      $result = $news->get_news_by_ids();
    }
    //get news for requested house id
    else {
      //checks if house id is available for hash (security check) and gets level
      $client->house_id = $news->house_id;
      $house_level = $client->get_level_by_hash_hid();

      if($house_level !== false) { //if it is 0 or 1
        $news->level = $house_level;
        $result = $news->get_news_by_id();      
      }

      //checks if house id is available for hash (security check2)
      /*if( $client->house_id_available( $news->house_id ) )
        $result = $news->get_news_by_id();*/
    }
  }

  // Check if any news
  if( Helper::arrayContainsItems( $result ) ) {
    // news array
    $news_arr = array();

    while($row = $result->fetch(PDO::FETCH_ASSOC)) {
      extract($row);

      if (isset($house_city)) { //check if property exists
        $news_item = array(
          'id' => (int)$nid,
          'title' => html_entity_decode($title),
          'date' => html_entity_decode($date),
          'text' => nl2br( html_entity_decode($text) ),
          'level' => (int)$level,
          'isCouncil' => (boolean)$isCouncil,
          'house_id' => (int)$hid,
          'house_city' => html_entity_decode($house_city)
        );

        // Push to "data"
        array_push($news_arr, $news_item);
      }
      else
      {
        if(isset($nid))
          error_log( "WARNING: GetNews issue... house_city is not set? - results:" . $result->rowCount() . " - id: " . $nid, 0);
        else
          error_log( "WARNING: GetNews issue... house_city is not set? - results:" . $result->rowCount(), 0);
      }
    }
    echo json_encode( $news_arr );
    exit();

  } else {
    
    error_log( "WARNING: V1GetNews issue... Maybe no news available? - results:" . $result->rowCount() . " - noOfItems:" . $news->noOfItems/* . " - offset:" . $news->offset . " - house_id:" . print_r($news->house_id, TRUE)*/, 0);
    echo json_encode( array() );
    exit();
  }