<?php 
  // Headers
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');
  header('Access-Control-Allow-Methods: POST');
  header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

  include_once '../config/database.php';
  include_once '../models/client.php';
  include_once '../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate blog client object
  $client = new Client($db);

  // Get ID
  //$client->id = isset($_GET['id']) ? $_GET['id'] : die();

  // Get raw posted data
  $data = json_decode(file_get_contents("php://input"));

  if( !isset( $data->token ) ) {
    error_log( "ERROR: Data (with token) coming from device in is_registered is null", 0);
  }
  else {
    $client->token = urldecode( $data->token );
  }

  if( !isset( $data->token ) || $data->token == "notoken" ) {
    echo json_encode(
      array( 'isRegistered' => false )
    );
    
    return;
  }

  //check if token is registred
  $stmt = $client->is_token_registered();

  // Create client
  if( Helper::arrayContainsItems( $stmt ) ) {
    //update last used time stamp of a token
    $client->update_last_used_token();

    //fetch data
    $result = $stmt->fetch(PDO::FETCH_ASSOC);

    //get hash
    $client->hash = $result['hash'];

    ////////////////////////////////////////////// LOGGING LOGIN
    include_once '../models/ologging.php';

    // Instantiate DB & connect
    $database1 = new Database();
    $db1 = $database1->connect();

    // Instantiate log object
    $olog = new OLog($db1);

    // Get raw posted data
    $olog->tag = "Log-in";
    $olog->message = "is_token_registered()=true token=" . $client->token;
    $olog->deviceId = $client->hash;

    // Create olog
    $olog->create_log();
    ////////////////////////////////////////////// LOGGING LOGIN

    echo json_encode(
     array( 'isRegistered' => true, 'hash' => $client->hash )
    );
  } else {
    echo json_encode(
      array( 'isRegistered' => false )
    );
  }

