<?php
$config = require_once '../config/config.php';

////////////////////////////////////////////////////////
// F U N C T I O N S
////////////////////////////////////////////////////////
function multi_attach_mail($to, $bcc, $subject, $body, $senderMail, $senderName, $replyTo1, $replyTo2, $folder, $files, $ToService): bool
{

  //PREPARE
  $withAttachments = (count($files) > 0);
  $boundaryUid = md5(uniqid(time()));
  $rpyto = "";
  if ($replyTo1 != "") {
    $rpyto = $replyTo1;
  }
  if ($replyTo2 != "") {
    if ($rpyto != "")
      $rpyto = $rpyto . ",";
    $rpyto = $rpyto . $replyTo2;
  }

  //CREATE HEADER
  $header = "From: " . $senderName . " <" . $senderMail . ">\r\n";
  if ($ToService == TRUE)
    $header .= "Bcc: $bcc\r\n";
  if ($rpyto != "")
    $header .= "Reply-To: $rpyto\r\n";
  $header .= "MIME-Version: 1.0\r\n";
  if ($withAttachments == TRUE) {
    $header .= "Content-Type: multipart/mixed; boundary=\"" . $boundaryUid . "\"\r\n\r\n";
    //$header .= "This is a multi-part message in MIME format.\r\n";
  } else {
    $header .= "Content-type: text/html; charset=\"UTF-8\"\r\n";
    $header .= "Content-Transfer-Encoding: 7bit\r\n\r\n";
  }

  //CREATE MESSAGE
  $message = "";
  if ($withAttachments == TRUE) {
    $message .= "--" . $boundaryUid . "\r\n";
    $message .= "Content-type: text/html; charset=\"UTF-8\"\r\n";
    $message .= "Content-Transfer-Encoding: 7bit\r\n\r\n";
  }
  $message .= $body . "\r\n\r\n";

  // Adding attachments
  if ($withAttachments == TRUE) {
    for ($i = 0; $i < count($files); $i++) {
      if (is_file($folder . $files[$i])) {
        $handle = @fopen($folder . $files[$i], "rb");
        $content = @fread($handle, filesize($folder . $files[$i]));
        @fclose($handle);

        $content = chunk_split(base64_encode($content));
        $message .= "--" . $boundaryUid . "\r\n";
        $message .= "Content-Type: application/octet-stream; name=\"" . basename($folder . $files[$i]) . "\"\r\n";
        $message .= "Content-Description: " . basename($folder . $files[$i]) . "\r\n";
        $message .= "Content-Disposition: attachment; filename=\"" . basename($folder . $files[$i]) . "\"; size=" . filesize($folder . $files[$i]) . ";\r\n";
        $message .= "Content-Transfer-Encoding: base64\r\n\r\n";
        $message .= $content . "\r\n\r\n";
      }
    }
    $message .= "--" . $boundaryUid . "--";
  }

  //fix umlaute in subject
  $subject = "=?utf-8?B?" . base64_encode($subject) . "?=";

  $returnpath = "-f" . $senderMail;

  //send email
  if (mail($to, $subject, $message, $header, $returnpath)) {
    return TRUE;
  } else {
    return FALSE;
  }
}


////////////////////////////////////////////////////////
// B O D Y
////////////////////////////////////////////////////////
// Headers
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, OPTIONS');

// Get raw posted data
$data = json_decode(file_get_contents("php://input"));

$dataName = urldecode($data->name); //e.g. "Chris Frieg Company"
$dataHouse = urldecode($data->house); //e.g. "house 1"
$dataMessage = urldecode($data->message); //e.g. "bla bla"
$dataFiles = $data->files; //array('codexworld-image.png','codexworld-file.docx');
$folder = "mail/";

//testing purposes
/*$dataName = "Chris Frieg Company";
$dataHouse = "house 1";
$dataMessage = "bla bla";
$dataFiles = null; //array('codexworld-image.png','codexworld-file.docx');
$user_mail = "service@friegel-design.de";
$user_mail2 = "";
$folder = "mail/";*/


///////////////////////////////////////// GET MAIL
include_once '../config/database.php';
include_once '../models/client.php';
include_once '../models/helper.php';

// Instantiate DB & connect
$database = new Database();
$db = $database->connect();

// Instantiate blog client object
$client = new Client($db);

// TODO: Use hash instead of getting user data one by one
//$client->hash = isset($_GET['hash']) ? $_GET['hash'] : die();

// Get client
$user_mail = $client->get_email_by_client();
$user_mail2 = $client->get_email2_by_client();
///////////////////////////////////////// GET MAIL

//testing purpose
//foreach ($dataFiles as $depth) {
//   var_dump( $depth );
//}

/*if( $user_mail == "info@friegel-design.de" )
{
  $EMAIL_MAIN_ADDR = "friegel@hausverwaltung-kappel.de";
  $EMAIL_SERVICE_ADDR = "service@friegel-design.de";
  $EMAIL_MAENGEL_ADDR = "friegel@hausverwaltung-kappel.de";
}*/

//recipient
$to = $config['mail']['maengel'];
$bccservice = $config['mail']['service'];

//sender
$from = $config['mail']['maengel'];
$fromName = 'Kappel HV Mängelmeldung';

//attachment files path array
$subject = 'Mängelmeldung - ' . $dataHouse;
$htmlContent = '<h1>Mängelmeldung</h1><p>' . $dataMessage . '</p>
              <br><p><b>Von: </b>' . $dataName . ' (' . $dataHouse . ')</p>
              <br><p><b>Insgesamt: </b>' . count($dataFiles) . ' Anhänge</p>';

//testing purpose
//$mailheader="From: $from\r\nSender-IP: ".$_SERVER['REMOTE_ADDR']."\r\n";
//@mail($to, $subject, "Test", $mailheader);

//call multi_attach_mail() function and pass the required arguments
$send_email = multi_attach_mail($to, $bccservice, $subject, $htmlContent, $from, $fromName, $user_mail, $user_mail2, $folder, $dataFiles, TRUE);

//copy to mail sender (not to service@)
if ($user_mail != "") {
  $htmlContentUser = 'Ihre nachfolgende Mängelmeldung ist bei uns eingetroffen.<br>Wir melden uns bei Ihnen schnellstmöglich!
    <br><br>Ihre Kappel Hausverwaltung<br><br>' . $htmlContent;
  $send_email2 = multi_attach_mail($user_mail, "", $subject, $htmlContentUser, $from, $fromName, "", "", $folder, $dataFiles, FALSE);
}
if ($user_mail2 != "") {
  $htmlContentUser = 'Ihre nachfolgende Mängelmeldung ist bei uns eingetroffen.<br>Wir melden uns bei Ihnen schnellstmöglich!
    <br><br>Ihre Kappel Hausverwaltung<br><br>' . $htmlContent;
  $send_email2 = multi_attach_mail($user_mail2, "", $subject, $htmlContentUser, $from, $fromName, "", "", $folder, $dataFiles, FALSE);
}

//delete attachments
if (count($dataFiles) > 0) {
  for ($i = 0; $i < count($dataFiles); $i++) {
    if (is_file($folder . $dataFiles[$i])) {
      unlink($folder . $dataFiles[$i]);
    }
  }
}

//print message after email sent
$send_email ? header("HTTP/1.1 200 OK") : header("HTTP/1.1 406 Not Acceptable");
