<?php 
  // Headers
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');
  header('Access-Control-Allow-Methods: POST');
  header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

  include_once '../config/database.php';
  include_once '../models/client.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate blog client object
  $client = new Client($db);

  // Get ID
  //$client->id = isset($_GET['id']) ? $_GET['id'] : die();

  // Get raw posted data
  $data = json_decode(file_get_contents("php://input"));

  $client->token = urldecode( $data->token );


  // disable unregister
  /*error_log( "Device wanted to log out: " . $data->token , 0);
  header("HTTP/1.1 200 OK");
  return;*/


  //check if token is already registred, get hash and print both afterwards
  $stmtTokenHash = $client->is_token_registered();

  //unregister/delete token/hash entry in device table
  $unregister_success = $client->unregister();

  //parse 0/1 -> false/true if unregister was successfully
  $succ = "true";
  if( $unregister_success == 0 )
      $succ = "false";

  error_log( "INFO: Device logged out: " . $succ . " - Token/Hash: " . print_r( $stmtTokenHash->fetch(PDO::FETCH_ASSOC), true ) , 0);

  ////////////////////////////////////////////// LOGGING LOGOUT
  include_once '../models/ologging.php';

  // Instantiate DB & connect
  $database1 = new Database();
  $db1 = $database1->connect();

  // Instantiate blog news object
  $olog = new OLog($db1);

  // Get raw posted data
  $olog->tag = "Log-out";
  $olog->message = "unregister()=true token=" . $client->token;
  $olog->deviceId = "see /log/php.log";

  // Create olog
  $olog->create_log();
  ////////////////////////////////////////////// LOGGING LOGOUT

  // Create client
  if( $unregister_success ) 
  {
    header("HTTP/1.1 200 OK");
  } 
  else 
  {
    header("HTTP/1.1 404 Not Found");
  }