<?php
$ignoreDeviceId = true;
$ignoreHash = true;

include_once '../../config/header_default.php';

// Get raw posted data and check if data exists
$data = json_decode(file_get_contents("php://input"));
if(!isset($data)) {
  header("HTTP/1.1 200 OK");
  exit();
}
// Assure version is set
else if (!isset($data->version)) {
  header("HTTP/1.1 200 OK");
  exit();
}

// If version does not match the correct format, return 200 OK
$versionMatches = null;
preg_match('/\d{1,2}\.\d{2}\.\d{2,3}/', $data->version, $versionMatches, PREG_OFFSET_CAPTURE);
if (empty($versionMatches)) {
  header("HTTP/1.1 200 OK");
  exit();
}

// Version from request
$splitVersions = explode('.', $data->version, 3);
$recvd_major = (int) $splitVersions[0];
$recvd_minor = (int) $splitVersions[1];
$recvd_patch = (int) $splitVersions[2];

// Current version from config
$config = include('../../config/config.php');
$currentVersion = $config['current_app_version'];
$splitVersions = explode('.', $currentVersion, 3);
$cur_major = (int) $splitVersions[0];
$cur_minor = (int) $splitVersions[1];
$cur_patch = (int) $splitVersions[2];

// Generate a description for the response
$description = '';
if ($cur_major > $recvd_major) {
  $description = 'New major version available';
} else if ($recvd_major <= $cur_major && $cur_minor > $recvd_minor) {
  $description = 'New minor version available';
} else if ($recvd_major <= $cur_major && $recvd_minor <= $cur_minor && $cur_patch > $recvd_patch) {
  $description = 'New patch version available';
}
// Nothing new available
else {
  header("HTTP/1.1 200 OK");
  exit();
}

$description = $description . " [From '" . $data->version . "' to '" . $currentVersion . "']";

// Build the response
$response = [
  'description' => $description,
  'current_app_version' => $currentVersion,
  'force_update' => $config['force_update'],
  'store' => [
    'ios' => $config['store']['ios'],
    'android' => $config['store']['android']
  ]];

header("HTTP/1.1 200 OK");
header('Content-type: application/json');
echo json_encode($response);
