<?php 
  // Headers
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');

  include_once '../../config/database.php';
  include_once '../../models/ologging.php';
  include_once '../../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate log object
  $olog = new OLog($db);

  // Blog olog query
  $result = $olog->get_log();

  // Check if any clients
  if( Helper::arrayContainsItems( $result ) ) {
    // olog array
    $log_arr = array();

    while($row = $result->fetch(PDO::FETCH_ASSOC)) {
      extract($row);

      $log_item = array(
        'lid' => html_entity_decode($lid),
        'tag' => html_entity_decode($tag),
        'message' => html_entity_decode($message),
        'deviceId' => html_entity_decode($deviceId),
        'timestamp' => html_entity_decode($timestamp)
      );

      // Push to "data"
      array_push($log_arr, $log_item);
    }

    //print_r( $log_arr );
    echo json_encode( $log_arr );

  } else {
    // No Logs
    echo json_encode(
      array('message' => 'No Logs Found')
    );
  }