<?php 
  include_once '../../config/header_default.php';
  include_once '../../config/database.php';

  include_once '../../models/client.php';
  include_once '../../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate blog client object
  $client = new Client($db);

  /**************************************************/

  // get header data from header_default
  $client->hash = $hHash;
  $client->deviceId = $hDeviceId;

  /**************************************************/

  // Get client
  $result = $client->get_client();

  // Check if any client is available
  if( Helper::arrayContainsItems( $result ) ) {
    // client array
    $client_arr = array();
    $corres_arr = array();

    // first data stack
    $first = true;

    while($row = $result->fetch(PDO::FETCH_ASSOC)) {
      extract($row);

      if( $first ) {
        $head_stack = array(
                        'first_name' => html_entity_decode($first_name),
                        'last_name' => html_entity_decode($last_name),
                        'first_name2' => html_entity_decode($first_name2),
                        'last_name2' => html_entity_decode($last_name2),
                        'company' => html_entity_decode($company)
                      );
        // Append to "client array"
        $client_arr += $head_stack;
        $first = false;
      }

      $client_item =
        array(
          'flat' => (string)$flat,
          'house_id' => (int)$house_id,
          'level' => (int)$level,
          'isCouncil' => (boolean)$isCouncil,
          'house_number' => '',
          'house_street' => '',
          'house_city' => html_entity_decode($house_city)
      );

      // Push to "corres array"
      array_push($corres_arr, $client_item);
    }

    // Append to "client array"
    $client_arr += array( 'correspondences' => $corres_arr );

    // Make JSON
    //print_r(json_encode($client_arr));
    /*echo json_encode( 
      Helper::utf8ize( $client_arr ) 
    );*/
    echo json_encode( $client_arr );
    exit();

  } else {
    // No client
    error_log( "WARNING: No client for hash " . $hHash , 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }