<?php 
  include_once '../../config/header_default.php';
  include_once '../../config/database.php';

  include_once '../../models/poll.php';
  include_once '../../models/client.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate poll object
  $poll = new Poll($db);
  // Instantiate blog client object
  $client = new Client($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"));
  if( !isset( $data) ) {
    error_log( "WARNING: Register body data were not found... hash: " . $hHash, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/

  // get header data from header_default
  $poll->hash = $hHash;

  // get header data from header_default
  $client->hash = $hHash;
  $client->deviceId = $hDeviceId;

  /**************************************************/


  if( isset( $data->house ) )
    $poll->hid = $data->house;

  if( isset( $data->house ) )
    $client->house_id = $data->house;

  //get array of all available levels of this hash and hid
  $levelarray = $client->get_level_by_hash_hid();
  //get the sum of all levels (to check if 0 or bigger than 0 = eigentümer)
  $levelCounter = 0;
  array_walk_recursive( $levelarray, function($value, $key) use (&$levelCounter) {
     $levelCounter += $value;
  }, $levelCounter );
  
  //check if hash is "Eigentümer", if not return Forbidden (same if poll is not active)
  if ( $levelCounter === 0 ) {
    //error_log( "INFO: User access the poll section, but he has no rights... Hash: " . $hHash, 0);
    header("HTTP/1.1 403 Forbidden");
    exit();
  }

  //check if poll is active or not
  $result = $poll->is_poll_active();

  // check active
  if ( $result === 0 ) {
    //error_log( "INFO, Poll is not active! Hash: " . $hHash, 0);
    header("HTTP/1.1 403 Forbidden");
    exit();

  } elseif( !empty( $result ) ) {
    //error_log( "INFO: poll_active - phash exists: ". $result['phash'], 0);
    echo json_encode( array( 
                        'phash' => html_entity_decode($result['phash']),
                        'name' => html_entity_decode($result['name']),
                      ) 
    );
    exit();

  } else {
    error_log( "WARNING: poll_active - Something went wrong... - hid: " . $poll->hid . " - hash: " . $hHash, 0);
    header("HTTP/1.1 404 Not Found");
    exit();

  }