<?php 
  include_once '../../config/header_default.php';
  include_once '../../config/database.php';

  include_once '../../models/poll.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate poll object
  $poll = new Poll($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"));
  if( !isset( $data) ) {
    error_log( "WARNING: Register body data were not found... hash: " . $hHash, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/

  // get header data from header_default
  $poll->hash = $hHash;

  /**************************************************/


  if( isset( $data->pass ) )
    $poll->pass = $data->pass;
  if( isset( $data->phash ) )
    $poll->phash = $data->phash;

  //verify the poll
  $verify = $poll->verify();

  // check active
  if( $verify == 1 ) {

    //check if user exists
    if( $poll->does_answer_entry_exist() == 0 ) {

      //create/register user
      if( $poll->create_answer_entry() == 0 ) {
        error_log( "ERROR: poll_login - Register was successful, but user entry couldn't be created... - phash: " . $poll->phash . " - pass: " . $poll->pass . " - hash: " . $hHash, 0);
        header("HTTP/1.1 406 Not Acceptable");
        exit();
      }
      else
        error_log( "INFO: poll_login - Register was successful, answer-entry for user (" . $hHash . ") was created for phash: " . $poll->phash, 0);
    }

    //error_log( "INFO: poll_login - Login was successful, you can pass! - hash: " . $hHash, 0);
    header("HTTP/1.1 200 OK");
    exit();

  } elseif ( $verify == 0 ) {
    error_log( "INFO: poll_login - Password wrong! - phash: " . $poll->phash . " - pass: " . $poll->pass . " - hash: " . $hHash, 0);
    header("HTTP/1.1 401 Unauthorized");
    exit();

  } elseif ( $verify == 2 ) {
    error_log( "INFO: poll_login - Poll is not active! - phash: " . $poll->phash . " - pass: " . $poll->pass . " - hash: " . $hHash, 0);
    header("HTTP/1.1 403 Forbidden");
    exit();

  }else {
    error_log( "WARNING: poll_login - Something went wrong! - phash: " . $poll->phash . " - pass: " . $poll->pass . " - hash: " . $hHash, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }