<?php 
  include_once '../../config/header_default.php';
  include_once '../../config/database.php';

  include_once '../../models/poll.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate poll object
  $poll = new Poll($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"));
  if( !isset( $data) ) {
    error_log( "WARNING: Register body data were not found... hash: " . $hHash, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/

  // get header data from header_default
  $poll->hash = $hHash;

  /**************************************************/


  if( isset( $data->phash ) )
    $poll->phash = $data->phash;

  //workaround: overwrite original hash to use same API
  if( isset( $data->absentee_hash ) )
    $poll->hash = $data->absentee_hash;


  /* answer: 
     0 - undefined
     1 - yes
     2 - no
     3 - nan (haha)
  */
  $result = 0;
  $answer = 0;
  if( isset( $data->answer ) )
    $answer = $data->answer;

  // check answer
  if( $answer === 0 ) {
    error_log( "WARNING: poll_send_answer - Answer was wrong ... phash: " . $poll->phash . " - answer: " . $answer . " - hash: " . $poll->hash . " - is absentee: " . $poll->hash != $hHash, 0);
    header("HTTP/1.1 406 Not Acceptable");
    exit();
  }

  $answer_id = $poll->send_answer( $answer );

  $isAbsentee = $poll->hash != $hHash ? 'true' : 'false';

  // check result
  if( $answer_id > 0 ) {
    //error_log( "INFO: poll_send_answer - Answered successfully! Answer: " . $answer . " (id:" . $answer_id . ") - phash: " . $poll->phash . " - hash: " . $poll->hash . " - is absentee: " . $isAbsentee, 0);
    header("HTTP/1.1 200 OK");
    exit();
  }else {
    error_log( "WARNING: poll_send_answer - Something went wrong when answering... phash: " . $poll->phash . " - result: " . $result . " - hash: " . $poll->hash . " - is absentee: " . $isAbsentee, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }