<?php 
  $ignoreDeviceId = true;

  include_once '../../config/header_default.php';
  include_once '../../config/database.php';

  include_once '../../models/client.php';
  include_once '../../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate blog client object
  $client = new Client($db);


  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"));
  if( !isset( $data) ) {
    error_log( "WARNING: Register body data were not found... hash: " . $hHash, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/

  // get header data from header_default
  $client->hash = $hHash;

  /**************************************************/

  /*
    Register
    - 406 hash not found
    - 403 client not active
  */


  if( isset( $data->deviceInfo ) )
    $client->deviceInfo = $data->deviceInfo;

  $stm = $client->is_hash_registered();
  // check if hash is registered in client db
  $hash_exists = Helper::arrayContainsItems( $stm );

  //register
  if( $hash_exists ) {
    $result = $stm->fetch(PDO::FETCH_ASSOC);
    $client->active = $result['active'];

    if( $client->active == 0 ) {
      error_log( "WARNING: Customer is not active (via register), hash: " . $hHash, 0);
      header("HTTP/1.1 403 Forbidden"); //active is false -> but registered
      exit();
    }
    else {
      $client->deviceId = $client->create_device_uuid();
      $client->register_device();

      /**************************************************/ 
      // REGISTER

      include_once '../../models/ologging.php';
      // Instantiate log object
      $olog = new OLog($db);
      // Get raw posted data
      $olog->tag = "Register";
      $olog->message = "Register successful! hash=" . $hHash;
      $olog->deviceId = $client->deviceId;
      // Create olog
      $olog->create_log();
      /**************************************************/

      error_log( "INFO: Device registered: | DeviceId: " . $client->deviceId . " - Hash: " . $hHash , 0);

      echo json_encode(
        array( 'deviceId' => $client->deviceId, 'hash' => $hHash )
      );
      exit();
    }
  }
  else {
    error_log( "ERROR: Hash not found in db, client not registered with hash " . $hHash . " - deviceInfo: " . $client->deviceInfo, 0);
    header("HTTP/1.1 406 Not Acceptable"); //hash not found in database (client) -> not registered
    exit();
  }

