<?php
$config = require_once '../../config/config.php';

////////////////////////////////////////////////////////
// F U N C T I O N S
////////////////////////////////////////////////////////
function multi_attach_mail($to, $bcc, $subject, $body, $senderMail, $senderName, $replyTo1, $replyTo2, $folder, $files, $ToService)
{
  //PREPARE
  $withAttachments = (count($files) > 0);
  $boundaryUid = md5(uniqid(time()));
  $rpyto = "";
  if ($replyTo1 != "") {
    $rpyto = $replyTo1;
  }
  if ($replyTo2 != "") {
    if ($rpyto != "")
      $rpyto = $rpyto . ",";
    $rpyto = $rpyto . $replyTo2;
  }

  //CREATE HEADER
  $header = "From: " . $senderName . " <" . $senderMail . ">\r\n";
  if ($ToService == TRUE)
    $header .= "Bcc: $bcc\r\n";
  if ($rpyto != "")
    $header .= "Reply-To: $rpyto\r\n";
  $header .= "MIME-Version: 1.0\r\n";
  if ($withAttachments == TRUE) {
    $header .= "Content-Type: multipart/mixed; boundary=\"" . $boundaryUid . "\"\r\n\r\n";
  } else {
    $header .= "Content-type: text/html; charset=utf-8\r\n";
    $header .= "Content-Transfer-Encoding: 7bit\r\n\r\n";
  }

  //CREATE MESSAGE
  $message = "";
  if ($withAttachments == TRUE) {
    $message .= "--" . $boundaryUid . "\r\n";
    $message .= "Content-type: text/html; charset=\"UTF-8\"\r\n";
    $message .= "Content-Transfer-Encoding: 7bit\r\n\r\n";
  }
  $message .= $body . "\r\n\r\n";

  // Adding attachments
  if ($withAttachments == TRUE) {
    for ($i = 0; $i < count($files); $i++) {
      if (is_file($folder . $files[$i])) {
        $handle = @fopen($folder . $files[$i], "rb");
        $content = @fread($handle, filesize($folder . $files[$i]));
        @fclose($handle);

        $content = chunk_split(base64_encode($content));
        $message .= "--" . $boundaryUid . "\r\n";
        $message .= "Content-Type: application/octet-stream; name=\"" . basename($folder . $files[$i]) . "\"\r\n";
        $message .= "Content-Description: " . basename($folder . $files[$i]) . "\r\n";
        $message .= "Content-Disposition: attachment; filename=\"" . basename($folder . $files[$i]) . "\"; size=" . filesize($folder . $files[$i]) . ";\r\n";
        $message .= "Content-Transfer-Encoding: base64\r\n\r\n";
        $message .= $content . "\r\n\r\n";
      }
    }
    $message .= "--" . $boundaryUid . "--";
  }

  //fix umlaute in subject
  $subject = "=?utf-8?B?" . base64_encode($subject) . "?=";

  $returnpath = "-f" . $senderMail;

  $mail = @mail($to, $subject, $message, $header, $returnpath);

  //send email
  if ( $mail ) {
    return TRUE;
  } else {
    error_log("ERROR: Send-email was NOT successfull to " . $to . " - subject: " . $subject . " - msg: " . $message . " - header: " . $header . " - returnpath: " . $returnpath, 0);
    return FALSE;
  }
}


////////////////////////////////////////////////////////
// B O D Y
////////////////////////////////////////////////////////
include_once '../../config/header_default.php';
include_once '../../config/database.php';

include_once '../../models/client.php';
include_once '../../models/helper.php';

// Instantiate DB & connect
$database = new Database();
$db = $database->connect();

// Instantiate blog client object
$client = new Client($db);


/**************************************************/

// Get raw posted data and check if data exists
$data = json_decode(file_get_contents("php://input"));
if (!isset($data)) {
  error_log("WARNING: Mail body data were not found... deviceId: " . $hDeviceId, 0);
  header("HTTP/1.1 404 Not Found");
  exit();
}

/**************************************************/

// get header data from header_default
$client->hash = $hHash;
$client->deviceId = $hDeviceId;

/**************************************************/


$client->house_id = -1;

if (isset($data->houseId))
  $client->house_id = $data->houseId;

if ($client->house_id < 0) {
  error_log("ERROR: House ID not acceptable for sending conflict mail: " . $client->house_id . " and hash: " . $hHash, 0);
  header("HTTP/1.1 403 Forbidden");
  exit();
}

// auto-fills all the required variables inside $client object
$result = $client->get_client_by_hash_houseId();

if (!isset($result) || !isset($result[0]["last_name"])) {
  error_log("ERROR: There was an issue with the client's data, hash: " . $hHash . " - message: " . urldecode($data->message), 0);
  header("HTTP/1.1 403 Forbidden");
  exit();
}

$dataName = $result[0]["first_name"] . " " . $result[0]["last_name"] . " " . $result[0]["company"]; //e.g. "Chris Frieg Company"
$dataHouse = $result[0]["house_name"] . ", " . $result[0]["house_city"]; //e.g. "house 1, city"
$dataMessage = urldecode($data->message); //e.g. "bla bla"
$dataFiles = $data->files; //array('codexworld-image.png','codexworld-file.docx');
$folder = "../mail/";

//testing purposes
/*$dataName = "Chris Frieg Company";
$dataHouse = "house 1, city";
$dataMessage = "bla bla";
$dataFiles = null; //array('codexworld-image.png','codexworld-file.docx');
$user_mail = "service@friegel-design.de";
$user_mail2 = "";
$folder = "../mail/";*/

//testing purpose
//foreach ($dataFiles as $depth) {
//   var_dump( $depth );
//}

// Get client
$user_mail = $client->get_email_by_client();
$user_mail2 = $client->get_email2_by_client();

$dataEmail = $user_mail;
if (isset($user_mail2) && !empty($user_mail2))
  $dataEmail = $dataEmail . ", " . $user_mail2;
if (empty($dataEmail))
  $dataEmail = "-";

//testing purposes
/*if( $user_mail == "info@friegel-design.de" )
{
  $EMAIL_MAIN_ADDR = "friegel@hausverwaltung-kappel.de";
  $EMAIL_SERVICE_ADDR = "service@friegel-design.de";
  $EMAIL_MAENGEL_ADDR = "friegel@hausverwaltung-kappel.de";
}*/

//recipient
$to = $config['mail']['maengel'];
$bccservice = $config['mail']['service'];
//sender
$from = $config['mail']['maengel'];
$fromName = 'Kappel HV';

//attachment files path array
$subject = 'Mängelmeldung - ' . $dataHouse;
$htmlContent = '<h1>Mängelmeldung</h1><p>' . $dataMessage . '</p>
              <br><p><b>Von: </b>' . $dataName . ' (' . $dataHouse . ')</p>
              <p><b>Antwort-E-Mail: </b>' . $dataEmail . '</p>
              <br><p><b>Insgesamt: </b>' . count($dataFiles) . ' Anhänge</p>';

//testing purpose
//$mailheader="From: $from\r\nSender-IP: ".$_SERVER['REMOTE_ADDR']."\r\n";
//@mail($to, $subject, "Test", $mailheader);

//call multi_attach_mail() function and pass the required arguments
$send_email = multi_attach_mail($to, $bccservice, $subject, $htmlContent, $from, $fromName, $user_mail, $user_mail2, $folder, $dataFiles, TRUE);
$send_email2 = TRUE;

error_log("INFO: Send-email was successful, user_mail: " . $user_mail . " - hash: " . $hHash, 0);

//copy to mail sender (not to service@)
if ($user_mail != "") {
  $htmlContentUser = 'Ihre nachfolgende Mängelmeldung ist bei uns eingetroffen.<br>Wir melden uns bei Ihnen schnellstmöglich!
    <br><br>Ihre Kappel Hausverwaltung<br><br>' . $htmlContent;
  $send_email2 = multi_attach_mail($user_mail, "", $subject, $htmlContentUser, $from, $fromName, "", "", $folder, $dataFiles, FALSE);
}
else
  error_log("WARNING: Send-email to user was not successful, user_mail: " . $user_mail . " - hash: " . $hHash, 0);

if ($user_mail2 != "") {
  $htmlContentUser = 'Ihre nachfolgende Mängelmeldung ist bei uns eingetroffen.<br>Wir melden uns bei Ihnen schnellstmöglich!
    <br><br>Ihre Kappel Hausverwaltung<br><br>' . $htmlContent;
  $send_email2 = multi_attach_mail($user_mail2, "", $subject, $htmlContentUser, $from, $fromName, "", "", $folder, $dataFiles, FALSE);
}

if ( $send_email != TRUE )
  error_log("ERROR: Send-email (1) was not successful, hash: " . $hHash . " - message: " . urldecode($data->message), 0);
if ( $send_email2 != TRUE )
  error_log("ERROR: Send-email (1) was not successful, hash: " . $hHash . " - message: " . urldecode($data->message), 0);

//delete attachments
if (count($dataFiles) > 0) {
  for ($i = 0; $i < count($dataFiles); $i++) {
    if (is_file($folder . $dataFiles[$i])) {
      unlink($folder . $dataFiles[$i]);
    }
  }
}

//print message after email sent
$send_email ? header("HTTP/1.1 200 OK") : header("HTTP/1.1 406 Not Acceptable");
