<?php 
  include_once '../../config/header_default.php';
  include_once '../../config/database.php';

  include_once '../../models/client.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate blog client object
  $client = new Client($db);


  /**************************************************/

  // get header data from header_default
  $client->hash = $hHash;
  $client->deviceId = $hDeviceId;

  /**************************************************/


  //check if device is already registred, get hash and print both afterwards
  $stmtTokenHash = $client->is_device_registered();

  //unregister/delete device (id/token/hash) entry in device table
  $unregister_success = $client->unregister_device();


  /**************************************************/ 
  // LOGGING LOGOUT

  include_once '../../models/ologging.php';
  // Instantiate log object
  $olog = new OLog($db);
  // Get raw posted data
  $olog->tag = "Logout";
  $olog->message = "Unregister successful! hash=" . $hHash . " - token=" . $client->token;
  $olog->deviceId = $hDeviceId;
  // Create olog
  $olog->create_log();
  /**************************************************/


  // Create client
  if( $unregister_success === true ) {
    error_log( "WARNING: Device UNregistered: | DeviceId: " . $hDeviceId . " - Hash: " . $hHash , 0);
    header("HTTP/1.1 200 OK");
    exit();
  } 
  else {
    error_log( "ERROR: There was an issue while Device was logging out... | DeviceId: " . $hDeviceId . " - Hash: " . $hHash , 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }