<?php 
  include_once '../../config/header_default.php';
  include_once '../../config/database.php';

  include_once '../../models/client.php';
  include_once '../../models/helper.php';

  // Instantiate DB & connect
  $database = new Database();
  $db = $database->connect();

  // Instantiate blog client object
  $client = new Client($db);

  /**************************************************/

  // Get raw posted data and check if data exists
  $data = json_decode(file_get_contents("php://input"));
  if( !isset( $data) ) {
    error_log( "WARNING: Register body data were not found... deviceId: " . $hDeviceId, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  /**************************************************/

  // get header data from header_default
  $client->hash = $hHash;
  $client->deviceId = $hDeviceId;

  /**************************************************/

  if( !isset( $data->token ) ) {
    error_log( "WARNING: Token was empty...", 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  $client->token = $data->token;


  //check if token is already registred
  $stmtToken = $client->is_token_registered();
  if( Helper::arrayContainsItems( $stmtToken ) ) {
    //fetch data
    $result = $stmtToken->fetch(PDO::FETCH_ASSOC);

    if( $result['deviceId'] == null || empty( $result['deviceId'] ) ) {
      error_log( "INFO: Delete db-entry via V2-Device-Migration for deviceId:" . $hDeviceId, 0);
      
      $del_success = $client->delete_device_entry_by_token();

      if( $del_success == 0 )
        error_log( "WARNING: Deletion for V2-Device-Migration was NOT SUCCESSFUL - Hash: " . $hHash, 0);
      else
        error_log( "INFO: Deletion for V2-Device-Migration was successful - Hash: " . $hHash, 0);
    }  
  }

  $client->update_token();


  /**************************************************/ 
  // LOGGING LOGOUT

  include_once '../../models/ologging.php';
  // Instantiate log object
  $olog = new OLog($db);
  // Get raw posted data
  $olog->tag = "Token";
  $olog->message = "Token updated to " . $client->token;
  $olog->deviceId = $hDeviceId;
  // Create olog
  $olog->create_log();
  /**************************************************/


  header("HTTP/1.1 200 OK");
  exit();