<?php 
  include_once '../../config/header_default.php';

  $target_path = "../mail/";

  // check if POST data exists
  if( !isset( $_FILES ) || !isset( $_FILES['img']['name'] ) ) {
    error_log( "WARNING: Upload of image had issues... deviceId: " . $hDeviceId, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

  //error_log( "INFO: Image Upload for DeviceId: " . $hDeviceId, 0);
 
  $target_path = $target_path . basename( $_FILES['img']['name'] );

  $file_type = $_FILES['img']['type']; //returns the mimetype
  $allowed = array("image/jpeg", "image/png");

  $data = null; //json answered data

  if ( ! in_array($file_type, $allowed) ) {
    
    $data = ['success' => false, 'message' => 'Error during uploading! Make sure you uploaded a jpeg or png file!'];
    error_log( "ERROR: Image Upload was not successful because file type was not allowed... DeviceId: " . $hDeviceId, 0);

  } elseif ( move_uploaded_file( $_FILES['img']['tmp_name'], $target_path ) ) {
    
    $data = ['success' => true, 'message' => 'Image has been successfully uploaded!'];

  } else {
    
    $data = ['success' => false, 'message' => 'Unkown error during uploading! Please try again!'];
    error_log( "ERROR: Image Upload was not successful because of an unknown issue... DeviceId: " . $hDeviceId, 0);

  }

  echo json_encode( $data );