<?php

class Database
{
  // DB Params
  private $host;
  private $db_name;
  private $username;
  private $password;
  private $conn;

  public function __construct()
  {
    self::prepareEnvironment();
  }


  // DB Connect via PDO
  public function connect()
  {
    $this->conn = null;

    try {
      $this->conn = new PDO('mysql:host=' . $this->host . ';dbname=' . $this->db_name, $this->username, $this->password);
      $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
      $this->conn->exec('SET CHARACTER SET utf8');
    } catch (PDOException $e) {
      error_log("Connection Error: " . $e->getMessage(), 0);
    }

    return $this->conn;
  }

  // DB Connect via mysqli
  public function connect_mysqli()
  {
    $this->conn = null;

    try {
      $this->conn = new mysqli($this->host, $this->username, $this->password, $this->db_name);
      $this->conn->select_db($this->db_name);
      $this->conn->query("SET NAMES 'utf8'");
    } catch (Exception $e) { 
      error_log("Connection Error: " . $e->getMessage(), 0);
    }

    return $this->conn;
  }

  private function prepareEnvironment() {
    $config = include('config.php');
    $environment = $config['env'];

    if ($environment == 'local') {
      $this->host = 'localhost';
      $this->db_name = 'steinr_db2';
      $this->username = 'root';
      $this->password = 'kappel-hv';

    } else if ($environment == 'dev') {
      $this->host = 'dedi5374.your-server.de';
      $this->db_name = 'kappelhv_test';
      $this->username = 'friegt_3';
      $this->password = 'U9jC2aeugiwUrETG';

    } else if ($environment == 'prod') {
      $this->host = '10.35.46.134';
      $this->db_name = 'k222511_hv_app';
      $this->username = 'k222511_app';
      $this->password = 'ir@R568x4';

    }
  }
}