<?php 

/*
  Following can be used if hash or deviceId should be ignored in the header.
  As an example, see register.php
    
    $ignoreHash = true
    $ignoreDeviceId = true;
*/


  // Enable CORS (http://enable-cors.org/server_php.html)
  header('Access-Control-Allow-Origin: *');
  header('Content-Type: application/json');

  if( isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']) )
    header("Access-Control-Allow-Methods: GET, POST, OPTIONS");

  if( isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']) )
    header("Access-Control-Allow-Headers: Hash, DeviceId, {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

  //header('Access-Control-Allow-Headers: Access-Control-Allow-Headers, Content-Type, Access-Control-Allow-Methods, Authorization, Hash, DeviceId, X-Requested-With');

  // Access-Control headers are received during OPTIONS requests
  if ( $_SERVER['REQUEST_METHOD'] == 'OPTIONS' ) {

    header("HTTP/1.1 200 OK");
    exit();
  }

  /**************************************************/

  // get Hash and DeviceId from POST header
  $hHash = "";
  $hDeviceId = "";
  $headers = apache_request_headers();
  foreach ($headers as $header => $value) {
    if( strcasecmp( $header, "DeviceId" ) == 0 ){
      $hDeviceId = $value;
    }
    if( strcasecmp( $header, "Hash" ) == 0 ){
      $hHash = $value;
    }
  }

  //TODO: following removes spaces, because some QR codes are wrongly delivered via email html
  // for example see hash b0f742b326860cfad5bc19ef06494103a759f0f373a2a254212743e4cfe11268
  // it includes a space between 373 and a2a
  $hHash = str_replace(' ', '', $hHash);

  // check if Hash and DeviceId are empty
  if( ( empty( $hHash ) && !isset($ignoreHash) ) || ( empty( $hDeviceId ) && !isset($ignoreDeviceId) ) ) { // $ignoreHash + $ignoreDeviceId exists only if device Id should be ignored
    error_log( "WARNING: Credential check, Hash or DeviceId are not set... Hash: " . $hHash . " - DeviceId: " . $hDeviceId, 0);
    header("HTTP/1.1 404 Not Found");
    exit();
  }

?>