<?php
//workaround, because the code later did not work with this logging-framework
//to not get nasty issues, the logging_controller returns on all other pages
include "logging_controller.php";

$site = "";

if (isset($_GET['site'])) {
  $site = htmlentities(trim($_GET['site']));
}


$config = include('../config/config.php');
// By default production
$serverName = "hausverwaltung-kappel.de";

// FD test server
if ($config['env'] == 'dev') {
    $serverName = "friegel-design.de";

} else if ($config['env'] == 'localhost') {
    // Local testing
    $serverName = "localhost";
}

if (empty($site) || !file_exists($site . ".php")) {
    $site = "message_new";
}

$site_path = $site . ".php";

/*if( $site == "logging" )
  include "logging_controller.php";*/
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Administration</title>

    <link rel="icon" href="images/favicon.ico" type="image/x-icon">

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome Icons -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

    <!-- own style -->
    <link rel="stylesheet" type="text/css" href="css/style.css?ver=1.12.0">

    <!-- REQUIRED SCRIPTS -->
    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

</head>
<body class="hold-transition dark-mode sidebar-mini layout-fixed layout-navbar-fixed layout-footer-fixed">
<div class="wrapper">

    <!-- Preloader -->
    <div class="preloader flex-column justify-content-center align-items-center">
        <img class="animation__wobble" src="dist/img/AdminLTELogo.png" alt="AdminLTELogo" height="60" width="60">
    </div>

    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-dark">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" data-widget="pushmenu" href="#" role="button" data-enable-remember="true"><i
                            class="fas fa-bars"></i></a>
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="index.php" class="nav-link">Home</a>
            </li>
        </ul>

        <!-- Right navbar links -->
        <ul class="navbar-nav ml-auto">
            <!-- Navbar Search -->
            <li class="nav-item">
                <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                    <i class="fas fa-search"></i>
                </a>
                <div class="navbar-search-block">
                    <form class="form-inline">
                        <div class="input-group input-group-sm">
                            <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                   aria-label="Search">
                            <div class="input-group-append">
                                <button class="btn btn-navbar" type="submit">
                                    <i class="fas fa-search"></i>
                                </button>
                                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                    <i class="fas fa-times"></i>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </li>

            <!-- Notifications Dropdown Menu -->
            <li class="nav-item dropdown-header">
                <a class="nav-link" data-toggle="dropdown" href="#">
                    <i class="far fa-bell"></i>
                    <span class="badge badge-warning navbar-badge">7</span>
                </a>
                <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                    <span class="dropdown-item dropdown-header">7 Notifications</span>
                    <div class="dropdown-divider"></div>
                    <a href="#" class="dropdown-item">
                        <i class="fas fa-envelope mr-2"></i> 4 new messages
                        <span class="float-right text-muted text-sm">3 mins</span>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="#" class="dropdown-item">
                        <i class="fas fa-file mr-2"></i> 3 new reports
                        <span class="float-right text-muted text-sm">2 days</span>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
                </div>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                    <i class="fas fa-expand-arrows-alt"></i>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                    <i class="fas fa-th-large"></i>
                </a>
            </li>
        </ul>
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index.php" class="brand-link">
            <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                 style="opacity: .8">
            <span class="brand-text font-weight-light">Administration</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user panel (optional) -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                <div class="image">
                    <img src="dist/img/kappel.png" class="img-circle elevation-2" alt="User Image">
                </div>
                <div class="info">
                    <a href="#" class="d-block">Kappel HV</a>
                </div>
            </div>

            <!-- Sidebar Menu -->
            <nav class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                    data-accordion="false">
                    <!-- Add icons to the links using the .nav-icon class
                         with font-awesome or any other icon font library -->
                    <li class="nav-item">
                        <a href="index.php?site=message_new"
                           class="nav-link <?php if ($site == "message_new") echo "active"; ?>">
                            <i class="nav-icon fas fa-comment-dots"></i>
                            <p>
                                Neue Mitteilung
                            </p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="index.php?site=messages"
                           class="nav-link <?php if ($site == "messages") echo "active"; ?>">
                            <i class="nav-icon fas fa-envelope"></i>
                            <p>
                                Mitteilungen
                            </p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="index.php?site=clients" class="nav-link <?php if ($site == "clients") echo "active"; ?>">
                            <i class="nav-icon fas fa-house-user"></i>
                            <p>
                                Kunden/Objekte
                            </p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="index.php?site=poll" class="nav-link <?php if ($site == "poll") echo "active"; ?>">
                            <i class="nav-icon fas fa-poll"></i>
                            <p>
                                Abstimmungen
                            </p>
                        </a>
                    </li>
                    <li class="nav-header">Funktionen</li>
                    <li class="nav-item">
                        <a href="index.php?site=client_import"
                           onclick="return confirm('Bist du dir sicher, dass du den Kundenstamm importieren möchtest? Bei Bestätigung wird der Import in einem neuen Fenster sofort gestartet...')"
                           class="nav-link <?php //if($site=="client_import")echo "active"; ?>">
                            <i class="nav-icon fas fa-file-download"></i>
                            <p class="text">Kunden importieren</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="index.php?site=qr_code_send"
                           class="nav-link <?php if ($site == "qr_code_send") echo "active"; ?>">
                            <i class="nav-icon fas fa-qrcode"></i>
                            <p>QR-Code an Alle senden</p>
                        </a>
                    </li>
                    <li class="nav-header">Entwicklung</li>
                    <li class="nav-item">
                        <a href="index.php?site=app_logs"
                           class="nav-link <?php if ($site == "app_logs") echo "active"; ?>">
                            <i class="nav-icon fas fa-mobile-alt"></i>
                            <p>App Debug Logs</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="index.php?site=logging" class="nav-link <?php if ($site == "logging") echo "active"; ?>">
                            <i class="nav-icon fas fa-database"></i>
                            <p>Server Debug Logs</p>
                        </a>
                    </li>
                </ul>
            </nav>
            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
  <?php
  include $site_path;
  ?>
    <!-- /.content-wrapper -->

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->

    <!-- Main Footer -->
    <footer class="main-footer">
        <strong>Copyright &copy; 2024 Friegel Design.</strong>
        All rights reserved.
        <div class="float-right d-none d-sm-inline-block">
            <b>Version</b> 1.20.10
        </div>
    </footer>
</div>
<!-- ./wrapper -->
<!-- Control Sidebar -->
<aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
    <div class="p-3 control-sidebar-content" style="">
        <h5>Quick Menu</h5>
        <hr class="mb-2">
        <div class="mb-4"><input type="checkbox" value="1" class="mr-1" checked>
            <span>Dark Mode</span>
        </div>
        <h6>Sonstiges</h6>
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#helpModal">
          Anleitung Abstimmung
        </button>
    </div>
</aside>
<!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->
<!-- overlayScrollbars -->
<script src="plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.js"></script>

<!-- PAGE PLUGINS -->
<script type="text/javascript" src="js/presenter_helper.js?v=1.0"></script>

</body>
</html>
