//POST REQUEST

$(document).ready(function(){

  var qrcode = new QRCode("qrcode", {
    text: "1",
    width: 130,
    height: 130,
    colorDark : "#000000",
    colorLight : "#ffffff",
    correctLevel : QRCode.CorrectLevel.H
  });

  function makeCode(text) {      
      qrcode.makeCode(text);
  }

  /*function makeCodeInput() {      
      var elText = document.getElementById("qrtext");
      
      if (!elText.value) {
          alert("Input a text");
          elText.focus();
          return;
      }
      qrcode.makeCode(elText);
  }*/

  /*$("#qrtext").
      on("blur", function () {
          makeCode();
      }).
      on("keydown", function (e) {
          if (e.keyCode == 13) {
              makeCode();
          }
      });*/

    fetch_data();  
    fetch_news();

    $('#create_client').click(function(e){
        e.preventDefault();

        // Find disabled inputs, and remove the "disabled" attribute
        var disabled = $('#clientform').find(':input:disabled').removeAttr('disabled');

        //serialize form data
        var url = $('#clientform').serialize();

        // re-disabled the set of inputs that you previously enabled
        disabled.attr('disabled','disabled');

        //pass serialized data to function
        var test = getUrlVars(url);

        //post with ajax
        $.ajax({
            type:"POST",
            url: "../api/server/create_client.php",
            data: test,
            ContentType:"application/json",

            success:function(data){
                alert('Client successfully created'+data);
                fetch_data();  
            },
            error:function(){
                alert('Client Could not be created'+data);
                fetch_data();  
            }

        });
    });

    $('#create_news').click(function(e){
      if(confirm("Are you sure you want to publish this news?"))  
      {
        e.preventDefault();

        //serialize form data
        var url = $('#newsform').serialize();

        $('#newsform input[type=checkbox]').each(function() {
            if (!this.checked) {
                url += '&'+this.name+'=0';
            }
        });

        //pass serialized data to function
        var test = getUrlVars(url);

        //post with ajax
        $.ajax({
            type:"POST",
            url: "../api/server/create_news.php",
            data: test,
            ContentType:"application/json",

            success:function(data){
                alert('News successfully created, message: '+data);
                fetch_news();  
            },
            error:function(data){
                alert('News could not be created, message: '+data);
                fetch_news();  
            }

        });
      }
    });

    $(document).on('click', '.btn_delete', function(){
        var id=$(this).data("id"); 
        var active=$(this).data("active");
        if(confirm("Are you sure you want to toggle this one (id: "+id+")?"))  
        {  
            $.ajax({
                type: "POST",
                url:"../api/server/active.php",  
                data:{ id:id, active:active },  
                dataType:"text",  
                success:function(data){  
                    //alert(data);  
                    fetch_data();  
                }  
            });  
        }  
    });

    $(document).on('click', '.btn_delete_news', function(){
        var id=$(this).data("newsid"); 
        if(confirm("Are you sure you want to delete this one (id: "+id+")?"))  
        {  
            $.ajax({
                type: "POST",
                url:"../api/server/delete_news.php",  
                data:{ id:id },  
                dataType:"text",  
                success:function(data){  
                    //alert(data);  
                    fetch_news();  
                }  
            });  
        }  
    });

    $(document).on('click', '.qr', function(){
        var qr=$(this).data("qr"); 
        makeCode( qr );
    });

    
    function getClientSha() {
      var str = $('#last_name').val() + $('#first_name').val() + $('#flat').val() + $('#house_id').val() + $('#level').val() + $('#isCouncil').val() + $('#active').val();
      return sha224( str );
    }
    $("#last_name").on("change keyup paste click", function(){
      $('#hash').val( getClientSha() );
    });
    $("#first_name").on("change keyup paste click", function(){
      $('#hash').val( getClientSha() );
    });
    $("#flat").on("change keyup paste click", function(){
      $('#hash').val( getClientSha() );
    });
    $("#house_id").on("change keyup paste click", function(){
      $('#hash').val( getClientSha() );
    });
    $("#level").on("change keyup paste click", function(){
      $('#hash').val( getClientSha() );
    });
    $("#isCouncil").on("change keyup paste click", function(){
      $('#hash').val( getClientSha() );
    });
    $("#active").on("change keyup paste click", function(){
      $('#hash').val( getClientSha() );
    });

});

function disableOwnerCouncil(ele) {
  if( $('input#renter').is(':checked') )
  {
    $('input#owner').attr("disabled", true);
    $('input#isCouncil').attr("disabled", true);
  }
  else
  {
    $("input#owner").removeAttr("disabled");
    $("input#isCouncil").removeAttr("disabled");
  }
}

function disableRenterCouncil(ele) {
  if( $('input#owner').is(':checked') )
  {
    $('input#renter').attr("disabled", true);
    $('input#isCouncil').attr("disabled", true);
  }
  else
  {
    $("input#renter").removeAttr("disabled");
    $("input#isCouncil").removeAttr("disabled");
  }
}

function disableRenterOwner(ele) {
  if( $('input#isCouncil').is(':checked') )
  {
    $('input#owner').attr("disabled", true);
    $('input#renter').attr("disabled", true);
  }
  else
  {
    $("input#owner").removeAttr("disabled");
    $("input#renter").removeAttr("disabled");
  }
}

function createHouse() {
  var id = $('#house_id_new').val(); //document.getElementById("house_id_new");
  var name = $('#house_name_new').val(); //document.getElementById("house_name_new");

  $.ajax({
      type: "POST",
      url:"../api/old/create_house.php",  
      data:{ name:name },  
      dataType:"text",  
      success:function(data){
          alert('Created or already exist: '+name);
          fetch_news();  
      },
      error:function(data){
          alert('Error: '+data);
          fetch_news();  
      }
  });  
}

/* When the user clicks on the button,
toggle between hiding and showing the dropdown content */
function dropDownHouses() {
    document.getElementById("myDropdown").classList.toggle("show");

    $.ajax({
        type: "POST",
        url:"../api/old/houses.php",  
        data:{},  
        dataType:"text",  
    }).done(function(houses){
      //console.log(houses);
      houses = JSON.parse(houses);
      $('#houses').empty();
      houses.forEach(function(house){
        $('#houses').append('<a href="#about">' + house.id + ' | ' + house.name + '</a>');
      })
    })
}

function filterHouses() {
    var input, filter, ul, li, a, i;
    input = document.getElementById("housesInput");
    filter = input.value.toUpperCase();
    div = document.getElementById("myDropdown");
    a = div.getElementsByTagName("a");
    for (i = 0; i < a.length; i++) {
        if (a[i].innerHTML.toUpperCase().indexOf(filter) > -1) {
            a[i].style.display = "";
        } else {
            a[i].style.display = "none";
        }
    }
}

function fetch_data()  
{
  var req = new XMLHttpRequest();
  req.open("GET", '../api/server/get_clientz.php',true);
  req.send();

  req.onload=function(){
    var json=JSON.parse( req.responseText );

    //limit data called
    /*var son = arr.filter(function(val) {
          return (val.id >= 4);  
       });*/

    var html = "";
    html = "<div >"+  //class='table-responsive'
             "<table id='table_id' class='display compact dataTable'>"+  //table table-bordered 
                "<thead><tr>"+
                     "<th>UUID</th>"+  
                     "<th>Last Name</th>"+  
                     "<th>First Name</th>"+  
                     "<th>Flat</th>"+  
                     "<th>House<br>ID | Name</th>"+  
                     "<th>Level |<br> isCouncil</th>"+  
                     "<th>Hash</th>"+  
                     "<th>Tokens</th>"+  
                     "<th>Active</th>"+  
                     "<th>QR</th>"+  
                "</tr></thead>"; 

    //loop and display data
    //for (var key in json) {
      //if (json.hasOwnProperty(key)) {
        //alert(json[key].id);
    //}
    html += "<tbody>";
    json.forEach(function(val) {
        var keys = Object.keys(val);

        html += "<tr>"+
                     "<td>" + val.id + "</td>"+
                     "<td class='last_name'>" + val.last_name + "</td>" +
                     "<td class='first_name'>" + val.first_name + "</td>" +
                     "<td class='flat'>" + val.flat + "</td>" +
                     "<td class='house_name'>" + val.house_id + " | " + val.house_name + "</td>" +
                     "<td class='level'>" + val.level + " | " + val.isCouncil + "</td>" +
                     "<td class='hash'>" + val.hash + "</td>" +
                     "<td class='token'>" + val.token_count + "</td>";
        
        if( val.active == 0)
          html +=    "<td><button type='button' name='delete_btn' class='btn btn-xs btn-danger btn_delete' data-id='"+val.id+"' data-active='"+val.active+"'>x</button></td>";
        else 
          html +=    "<td><button type='button' name='delete_btn' class='btn btn-xs btn-success btn_delete' data-id='"+val.id+"' data-active='"+val.active+"'>x</button></td>";  
        
        html +=    "<td class='qr' data-qr='" + val.hash + "'><a href='#'><img src='images/qr.gif' /></a></td>"; 
        html +=  "</tr>";
    });
    html += "</tbody></table>";

    //append in message class
    //document.getElementsByClassName('message')[0].innerHTML=html;
    $('#live_data').html(html); 

    $('#table_id').DataTable( {
        //responsive: true,
        /*"autoWidth": false,
        "columns": [
          null,
          null,
          null,
          null,
          null,
          null,
          { "width": "5%" },
          null,
          null,
          null
        ],*/
        /*"columnDefs": [
          { "width": "5%", "targets": 6 }
        ],*/
        "columnDefs": [ {
            targets: 6,
            render: function ( data, type, row ) {
                  return data.length > 10 ? data.substr( 0, 8 ) +'…' : data;
            }
        } ],
        "order": [[ 0, "asc" ]]
    } );
  }
}


function fetch_news()  
{
  var arr = { noOfItems:20, offset:0 };

  $.ajax({
      type: "POST",
      url:"../api/v2/get_news.php",  
      data: JSON.stringify(arr),  
      contentType: 'application/json; charset=utf-8',
      dataType: 'json',
      })
      .done(function(entries){

        //entries=JSON.parse( entries );

            var html = "";
            html = "<div >"+  //class='table-responsive'
                     "<table id='table_news_id' class='display compact dataTable'>"+  //table table-bordered 
                        "<thead><tr>"+
                             "<th>ID</th>"+  
                             "<th>Title</th>"+  
                             "<th>Date</th>"+  
                             "<th>Text</th>"+  
                             "<th>Level</th>"+  
                             "<th>House</th>"+  
                             "<th>Delete</th>"+  
                        "</tr></thead>"; 
            html += "<tbody>";

            entries.forEach(function(val) {
                var keys = Object.keys(val);

                var memberState = "";
                if( val.isCouncil == 1)
                  memberState = "council";
                else if( val.level == 1 )
                  memberState = "owner";
                else
                  memberState = "renter";

                html += "<tr>"+
                             "<td class='id'>" + val.id + "</td>"+
                             "<td class='title'>" + val.title + "</td>" +
                             "<td class='date'>" + val.date + "</td>" +
                             "<td class='text'>" + val.text + "</td>" +
                             "<td class='text'>" + memberState + "</td>" +
                             "<td class='house'>" + val.house + "</td>" +
                             "<td><button type='button' name='delete_btn' class='btn btn-xs btn-danger btn_delete_news' data-newsid='"+val.id+"'>x</button></td>";
            });
            html += "</tbody></table>";

            //append in message class
            $('#live_news').html(html); 

            $('#table_news_id').DataTable( {
                "columnDefs": [ {
                    targets: 3,
                    render: function ( data, type, row ) {
                          return data.length > 10 ? data.substr( 0, 80 ) +'…' : data;
                    }
                } ],
                "order": [[ 0, "desc" ]]
            } ); 
  })



  /*var req = new XMLHttpRequest();
  req.open("GET", '../api/v2/get_news.php',true);
  req.send();

  req.onload=function(){
    var json=JSON.parse( req.responseText );

    var html = "";
    html = "<div >"+  //class='table-responsive'
             "<table id='table_news_id' class='display compact dataTable'>"+  //table table-bordered 
                "<thead><tr>"+
                     "<th>ID</th>"+  
                     "<th>Title</th>"+  
                     "<th>Date</th>"+  
                     "<th>Text</th>"+  
                     "<th>House</th>"+  
                "</tr></thead>"; 
    html += "<tbody>";

    json.forEach(function(val) {
        var keys = Object.keys(val);

        html += "<tr>"+
                     "<td class='id'>" + val.id + "</td>"+
                     "<td class='title'>" + val.title + "</td>" +
                     "<td class='date'>" + val.date + "</td>" +
                     "<td class='text'>" + val.text + "</td>" +
                     "<td class='house'>" + val.house + "</td>";
    });
    html += "</tbody></table>";

    //append in message class
    $('#live_news').html(html); 

    $('#table_news_id').DataTable( {
        "columnDefs": [ {
            targets: 3,
            render: function ( data, type, row ) {
                  return data.length > 10 ? data.substr( 0, 100 ) +'…' : data;
            }
        } ],
        "order": [[ 0, "desc" ]]
    } );
  }*/
}