$(document).ready(function() {
//jQuery(document).ready(function($) {

  fetch_news();

  $(document).on('click', '.btn_delete_news', function(){
      var nid=$(this).data("newsid"); 
      if(confirm("Bist du Dir sicher, dass du die Nachricht mit der ID #"+nid+" löschen möchtest?"))  
      {  
          $.ajax({
              type: "POST",
              url:"../api/server/delete_news.php",  
              data:{ nid:nid },  
              dataType:"text",  
              success:function(data){  
                  //alert(data);  
                  fetch_news();  
              }  
          });  
      }  
  });

  $(document).on('click', '.btn_delete_multiple_news', function(){
      var nids = { token:"hf90092h3ja83zA" }; //security reason
      let nidsMsg = [];

      var selectedRows = [];
      $('input[type=checkbox]').each(function () {
        if ($(this).is(":checked")) {
            selectedRows.push($(this));
        }
      });
      for (var i = 0; i < selectedRows.length; i++) {
        nids[i] = $(selectedRows[i]).data("newsid");
        nidsMsg.push( $(selectedRows[i]).data("newsid") );
      }

      if( nidsMsg.length === 0 ) {
        console.log( "Warning: No checkboxes selected!");
        return;
      }


      if( confirm("Bist du Dir sicher, dass du die Nachrichten mit der IDs #"+nidsMsg+" löschen möchtest?") )
      {
        $.ajax({
            type: "POST",
            url:"../api/server/delete_multiple_news.php",
            data: JSON.stringify(nids),
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            success:function(data){  
              //alert(data);
              fetch_news();
            }  
        });
      }
  });

});


function fetch_news()  
{
  var arr = { noOfItems:100, offset:0, getAll:1337, token:"hf90092h3ja83zA" }; //token = security reason

  $.ajax({
      type: "POST",
      url:"../api/server/get_news.php",  
      data: JSON.stringify(arr),  
      contentType: 'application/json; charset=utf-8',
      dataType: 'json',
      })
      .done(function(entries){

        //entries=JSON.parse( entries );

        var html = "";
        html = "<div >"+  //class='table-responsive'
                 "<table id='table_news_id' class='table table-bordered table-hover dataTable dtr-inline' style='table-layout: fixed; width: 100%;'>"+  //table table-bordered 
                    "<thead><tr>"+
                         "<th>ID</th>"+  
                         "<th>Titel</th>"+  
                         "<th>Datum</th>"+  
                         "<th>Text</th>"+  
                         "<th>Level</th>"+  
                         "<th>Haus</th>"+  
                         "<th>Löschen</th>"+  
                    "</tr></thead>"; 
        html += "<tbody>";

        if( Array.isArray(entries) ) {
          entries.forEach(function(val) {
            var keys = Object.keys(val);

            var memberState = "";
            if( val.isCouncil == 1)
              memberState = "Beirat";
            else if( val.level == 1 )
              memberState += "Eigentümer";
            else
              memberState += "Mieter";

            html += "<tr>"+
                       "<td class='id'>" + val.id + "</td>"+
                       "<td class='title'>" + val.title + "</td>" +
                       "<td class='date'>" + val.date + "</td>" +
                       "<td class='text'>" + val.text + "</td>" +
                       "<td class='text'>" + memberState + "</td>" +
                       "<td class='house'>" + val.house_city + "<br>(ID: " + val.house_id + ")</td>" +
                       "<td><button type='button' name='delete_btn' class='btn btn-xs btn-danger btn_delete_news' data-newsid='"+val.id+"'>x</button><br><br><input class='custom_checkbox' type='checkbox' id='chkRow' data-newsid='"+val.id+"' /></td>";
          });
        }
        html += "</tbody></table>";

        //append in message class
        $('#live_news').html(html); 

        $('#table_news_id').DataTable( {
            "paging": true,
            "lengthChange": true,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": true,
            "responsive": true,
            "lengthMenu": [[5, 10, 25, 50, -1], [5, 10, 25, 50, "All"]],
            "pageLength": 5,
            "columnDefs": [ {
                targets: 1,
                width: '10%'
            }, {
                targets: 2,
                width: '5%'
            }, {
                targets: 3,
                width: '40%'
            } ],
            "order": [[ 0, "desc" ]]
        } ); 
  })
}