$(document).ready(function() {
//jQuery(document).ready(function($) {

  $('#create_news').click(function(e){
    e.preventDefault();

    // reset errors before validating form
    resetErrorsInNewsform();

    if( validateNewsform() )
      return;
    
    if(confirm("Bist du Dir sicher, dass du die Nachricht veröffentlichen möchtest?"))  
    {
      //serialize form data
      var url = $('#newsform').serialize();

      $('#newsform input[type=checkbox]').each(function() {
          if (!this.checked) {
              url += '&'+this.name+'=0';
          }
      });

      //pass serialized data to function
      var newsDataJson = getUrlVars(url);

      //post with ajax
      $.ajax({
          type:"POST",
          url: "../api/server/create_news.php",
          data: newsDataJson,
          ContentType:"application/json",

          success:function(data){
              alert('Nachricht erfolgreich gesendet!');
          },
          error:function(data){
              alert('VORSICHT: Nachricht konnte nicht gesendet werden!');
              console.log( "Error: ", data, data.responseText );
              console.log( "newsDataJson: " + newsDataJson );
          }

      });
    }
  });

 
  /*function getClientSha() {
    var str = $('#last_name').val() + $('#first_name').val() + $('#flat').val() + $('#house_id').val() + $('#level').val() + $('#isCouncil').val() + $('#active').val();
    return sha224( str );
  }
  $("#last_name").on("change keyup paste click", function(){
    $('#hash').val( getClientSha() );
  });
  $("#first_name").on("change keyup paste click", function(){
    $('#hash').val( getClientSha() );
  });
  $("#flat").on("change keyup paste click", function(){
    $('#hash').val( getClientSha() );
  });
  $("#house_id").on("change keyup paste click", function(){
    $('#hash').val( getClientSha() );
  });
  $("#level").on("change keyup paste click", function(){
    $('#hash').val( getClientSha() );
  });
  $("#isCouncil").on("change keyup paste click", function(){
    $('#hash').val( getClientSha() );
  });
  $("#active").on("change keyup paste click", function(){
    $('#hash').val( getClientSha() );
  });*/

});

// Close the dropdown if the user clicks outside of it
window.onclick = function(event) {
  if (!event.target.matches('.dropbtn') && !event.target.matches('.dropbtn2')) {

    $('#housesInput').val("");

    var dropdowns = document.getElementsByClassName("dropdown-content");
    var i;
    for (i = 0; i < dropdowns.length; i++) {
      var openDropdown = dropdowns[i];
      if (openDropdown.classList.contains('show')) {
        openDropdown.classList.remove('show');
      }
    }
  }
}

function validateNewsform() {
  var err = false;
  //set red border to checkboxes if no checkbox is selected
  if( $("input#owner").is(":disabled")==false &&
      $("input#isCouncil").is(":disabled")==false &&
      $('input#renter').is(":disabled")==false ) 
  {
    $('.user-group').css('border', '2px solid red');
    err = true;
  }
  //set red border if title not set
  if( $("input#title").val() == "" ) 
  {
    $('input#title').css('border', '2px solid red');
    err = true;
  }
  //set red border if text not set
  if( $("textarea#text").val() == "" ) 
  {
    $('textarea#text').css('border', '2px solid red');
    err = true;
  }
  //set red border if text not set
  if( $("input#house_id_news").val() == "" ) 
  {
    $('.dropdown').css('border', '2px solid red');
    err = true;
  }
  return err;
}
  
function resetErrorsInNewsform() {
  //reset error css first
  $('.user-group').css('border', '');
  $('#title').css('border', '');
  $('#text').css('border', '');
  $('.dropdown').css('border', '');
}

function disableOwnerCouncil(ele) {
  if( $('input#renter').is(':checked') )
  {
    $('input#owner').attr("disabled", true);
    $('input#isCouncil').attr("disabled", true);

    //remove css border after selected a checkbox
    $('.user-group').css('border', '');
  }
  else
  {
    $("input#owner").removeAttr("disabled");
    $("input#isCouncil").removeAttr("disabled");
  }
}

function disableRenterCouncil(ele) {
  if( $('input#owner').is(':checked') )
  {
    $('input#renter').attr("disabled", true);
    $('input#isCouncil').attr("disabled", true);

    //remove css border after selected a checkbox
    $('.user-group').css('border', '');
  }
  else
  {
    $("input#renter").removeAttr("disabled");
    $("input#isCouncil").removeAttr("disabled");
  }
}

function disableRenterOwner(ele) {
  if( $('input#isCouncil').is(':checked') )
  {
    $('input#owner').attr("disabled", true);
    $('input#renter').attr("disabled", true);

    //remove css border after selected a checkbox
    $('.user-group').css('border', '');
  }
  else
  {
    $("input#owner").removeAttr("disabled");
    $("input#renter").removeAttr("disabled");
  }
}


/* When the user clicks on the button,
toggle between hiding and showing the dropdown content */
function dropDownHouses() {
    document.getElementById("houseDropDown").classList.toggle("show");

    $('#housesInput').val("");

    $.ajax({
        type: "POST",
        url:"../api/server/get_houses.php",  
        data:{},  
        dataType:"text",  
    }).done(function(houses){
      //console.log(houses);
      houses = JSON.parse(houses);
      $('#houses').empty();
      houses.forEach(function(house){
        $('#houses').append('<a style="cursor:pointer;" onclick="useHouse(' + house.hid + ', \'' + house.name + '\')">' + house.hid + ' | ' + house.name + '</a>');
      })
    })
}

function useHouse(houseId, houseName) {
  $('#house_id_news').val(houseId);
  $('#house_name_news').val(houseName);
}

function filterHouses() {
    var input, filter, ul, li, a, i;
    input = document.getElementById("housesInput");
    filter = input.value.toUpperCase();
    div = document.getElementById("houseDropDown");
    a = div.getElementsByTagName("a");
    for (i = 0; i < a.length; i++) {
        if (a[i].innerHTML.toUpperCase().indexOf(filter) > -1) {
            a[i].style.display = "";
        } else {
            a[i].style.display = "none";
        }
    }
}