  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Server Debug Logs</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Server Debug Logs</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">
            <div class="card">
              <div class="card-header">
                <h5 class="card-title">Server Debug Logs</h5>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12">




										<!--<html>
										<head>-->
										<script src="logging/vue.js"></script>
										<script src="logging/axios.min.js"></script>
										<script src="logging/vue-material.min.js"></script>
										<meta content="width=device-width,initial-scale=1,minimal-ui" name="viewport">
										<link href="logging/css.css" rel="stylesheet">
										<link rel="stylesheet" href="logging/css.css">
										<link rel="stylesheet" href="logging/vue-material.min.css">
										<link rel="stylesheet" href="logging/default-dark.css">
										<!--</head>
										<body>-->
											<div id="app">
												<div class="loader" v-bind:class="{'visible': loading }">
													<md-progress-bar md-mode="query"></md-progress-bar>
												</div>
												<md-table v-model="rowsDisplay" :md-sort.sync="currentSort" :md-sort-order.sync="currentSortOrder" ref="mytable"
													md-card md-fixed-header>
													<md-chip v-if="filesize">{{ readableFilesize() }}
														<!--needed for the inner filesize container to update-->
													</md-chip>
													<md-table-toolbar>
														<h1 class="md-title">Log Viewer <md-chip v-if="filesize">{{ readableFilesize() }}</md-chip>
														</h1>
														<div class="md-toolbar-section-start">
														</div>
														<md-field md-clearable class="md-toolbar-section-end">
															<md-input placeholder="Filter Rows (Regex)" v-model="search" @input="searchTable" />
														</md-field>
														<div class="md-toolbar-section-end">
															<md-switch v-model="autoreload" class="md-primary">Autoreload</md-switch>
															<!-- modified cfr -->
															<!--<md-button @click="deleteLog()" class="md-fab md-raised md-accent"
																:disabled="filesize == 0 ? true : false">
																<md-icon>delete</md-icon>
																<md-tooltip md-direction="top">Empty file. This can not be undone.</md-tooltip>
															</md-button>-->
														</div>
													</md-table-toolbar>
													<md-table-empty-state v-if="filesize && search" md-label="Nothing found"
														:md-description="`No results for your search: '${search}'. Try a different search term or create a matching error ;)`">
													</md-table-empty-state>
													<md-table-empty-state v-if="!filesize" md-label="Nothing found"
														:md-description="`Looks like the file does not exist or is empty.`">
													</md-table-empty-state>
													<md-table-empty-state v-if="error" :md-label="errorMessage">
													</md-table-empty-state>
													<md-table-empty-state v-if="loading && filesize" md-label="Loading"
														:md-description="`The file has a size of ${ readableFilesize() }`">
													</md-table-empty-state>
													<md-table-row slot="md-table-row" slot-scope="{ item }">
														<md-table-cell :error="item.cls" md-label="Count" md-sort-by="cnt">{{ item.cnt }}</md-table-cell>
														<md-table-cell :error="item.cls" style="min-width:160px" md-label="Time" md-sort-by="time">
															<time :datetime="item.time">{{ readableDateTime(item.time) }}</time>
														</md-table-cell>
														<md-table-cell class="message" md-label="Message" md-sort-by="msg">
															<pre v-html="item.msg">{{ item.msg }}</pre>
														</md-table-cell>
													</md-table-row>
												</md-table>
											</div>
											<script>
												const toLower = text => {
													return text.toString().toLowerCase()
												}
												const searchByName = (items, term) => {
													if (term) {
														var regex = new RegExp(toLower(term), 'gim');
														return items.filter(item => regex.test(item.msg));
														//return items.filter(item => toLower(item.msg).includes(toLower(term)))
													}
													return items
												}
												Vue.use(VueMaterial.default)
												var app = new Vue({
													el: '#app',
													data: () => ({
														currentSort: 'time',
														/* modified cfr */
														currentSortOrder: 'desc',
														search: null,
														rowsRaw: [],
														rowsDisplay: [],
														filesize: 0,
														loading: false,
														delete: '',
														autoreload: true,
														error: false,
														errorMessage: 'Something went wrong',
														documentHidden: false,
													}),
													mounted() {
														this.update(this);
														var self = this;
														var timeout = setInterval(this.update, 4000, this);
														document.addEventListener("visibilitychange", function () {
															self.documentHidden = document.hidden;
														});
													},
													methods: {
														readableFilesize: function () {
															if (this.filesize > (1024 * 1024)) { // filesize is in bytes
																return (Math.round(this.filesize / 1024 / 102) / 10) + ' MB';
															} else {
																return (Math.round(this.filesize / 102) / 10) + ' KB';
															}
														},
														readableDateTime(dateTimeString) {
															let date = new Date(dateTimeString);
															/* modified cfr */
															return isNaN(date) ? dateTimeString : date.toLocaleString('de-DE', { year: 'numeric', month: '2-digit', day: '2-digit', hour: 'numeric', minute: '2-digit', second: '2-digit', hour12: false });
														},
														filterSearch() {
															if (this.search == "") {
																return this.rowsRaw
															} else {
																return searchByName(this.rowsRaw, this.search)
															}
														},
														searchTable() {
															this.rowsDisplay = this.filterSearch();
														},
														compareEntries() {
															const sortBy = this.currentSort
															const multiplier = this.currentSortOrder === 'desc' ? -1 : 1;
															return (a, b) => {
																const aAttr = a[sortBy];
																const bAttr = b[sortBy];
																if (aAttr === bAttr) {
																	return 0
																}
																else if (typeof aAttr === 'number' && typeof bAttr === 'number') {
																	return (aAttr - bAttr) * multiplier // numerical compare, negate if descending
																}
																return String(aAttr).localeCompare(String(bAttr)) * multiplier;
															}
														},
														setNewData(response) {
															this.rowsRaw = response.data
															this.loading = false
															this.rowsDisplay = this.filterSearch();
															this.rowsDisplay.sort(this.compareEntries());
														},
														getLog(comp) {
															axios.get('?get_log').then(response => (comp.setNewData(response)))
														},
														update(comp) {
															if (!comp.autoreload | comp.documentHidden) {
																console.log('autoreload is disabled or window is hidden');
																return;
															}
															if (comp.loading == true) {
																console.log('looks like loading didn\'t finish yet.');
																return;
															}
															comp.loading = true
															comp.getFilesize((response) => {
																let size = response.data
																if (typeof response.data == 'string') {
																	console.log('something went wrong...')
																	comp.rowsDisplay = [];
																	comp.error = true
																	comp.errorMessage = response.data;
																	comp.loading = false
																	comp.filesize = 0;
																	return
																}
																if (size != comp.filesize) {
																	comp.filesize = size
																	comp.getLog(comp)
																} else {
																	console.log('nothing changed')
																	comp.loading = false
																}
															})
														},
														getFilesize(cb) {
															axios.get('?filesize')
																.then(response => (cb(response)))
																.catch(error => {
																	console.log(error.response)
																})
														},
														deleteLog() {
															this.rowsDisplay = [];
															this.filesize = 0;
															axios.get('?delete_log').then(response => (this.delete.data = response))
														}
													}
												})
											</script>
											<style>
										  	.loader {
													transition: opacity 1s;
													opacity: 0;
												}

												.loader.visible {
													transition: opacity 0s;
													opacity: 1
												}

												.md-card {
													/* modified cfr */
													/*height: calc(100vh - 15px);*/
													/*min-width: 90vw;*/
													max-width: 98vw;
													overflow: hidden;
												}

												.md-content {
													max-height: unset !important;
													height: calc(100vh - 15px);
													max-width: 100%;
												}

												.md-table-cell[error*="Info"], .md-table-cell[error*="INFO"] { 
													background-color: #64aeef !important; 
												}
												.md-table-cell[error*="Debug"], .md-table-cell[error*="DEBUG"] { 
													background-color: #19b148 !important; 
												}
												.md-table-cell[error*="Warning"], .md-table-cell[error*="WARNING"], .md-table-cell[error*="PHP Notice"] { 
													background-color: #FFA66F !important; 
												}
												.md-table-cell[error*="Fatal"], .md-table-cell[error*="error"], .md-table-cell[error*="ERROR"] { 
													background-color: #d05f5f !important;
												}

												.md-table-cell-container,
												.md-table-head-label {
													padding-right: 10px;
												}

												.md-table-row td {
													/* modified cfr */
													vertical-align: middle;
												}

												pre {
													font-family: 'Roboto Mono', monospace;
													margin: 0.2rem
												}

												.md-table-cell {
													height: auto;
													vertical-align: top;
												}

												.cell-time {
													min-width: 200px
												}

												.md-table-fixed-header {
													max-width: 100%
												}

												.message {
													white-space: pre;
												}

												#app .message a {
													color: #97bfff
												}
											</style>
										<!--</body>
										</html>-->



                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row --> 
      </div><!--/. container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->