  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/bootstrap-select/css/bootstrap-select.min.css">
  <link rel="stylesheet" href="plugins/select2/css/select2.css">

  <style type="text/css">
    table {
      width: 100%;
      border-collapse: collapse;
    }
    table tr td,
    table tr th {
      border: 1px solid #6c757d;
      padding: 10px;
    }
    .answer1 {
      background-color: #00bc8c;
      color:  white;
    }
    .answer2 {
      background-color: #e74c3c;
      color:  white;
    }
    .answer3 {
      background-color: #232323;
      color:  white;
    }
    .decision_detail {
      display: none;
    }
    .modal-dialog {
        max-width: 75% !important;
    }
</style>


  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Abstimmungen</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Abstimmung</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">


        <!-- LIST POLLS -->
        <div class="row">
          <div class="col-md-12">
            <div class="card">
              <div class="card-header">
                <h5 class="card-title" id="poll_list_id">Auflistung aller Abstimmungen</h5>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12">



                      <div class="">

                        <div class="table table-bordered table-hover">  
                          <span id="result"></span>
                          <div id="live_poll"></div>                 
                        </div>  
                      </div>


                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row --> 
        <!-- LIST POLLS -->


        <!-- ANSWERED POLL -->
        <div class="row mt-4 decision_detail" id="detail_area">
          <div class="col-md-12">
            <div class="card">
              <div class="card-header">
                <h5 class="card-title" id="answers_title">Übersicht Beschlüsse von Abstimmung: -</h5>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12">


                      <div>
                        <i class="answer1">JA</i> - <i class="answer2">NEIN</i> - <i class="answer3">Enthalten</i>
                        <button type="button" class="btn btn-dark" id="print_decisions" style="float:right;" onclick="showResultNewPage()">Alle Beschlüsse drucken</button>
                      </div>

                      <br>

                      <div class="">
                        <div class="table table-bordered table-hover">  
                          <span id="result"></span>
                          <div id="live_poll_answers"></div>                 
                        </div>  
                        
                        <br>

                        <p class="decision-card-text" id="answers_title">Für Nutzer aktuell aktivierter Beschluss: <span id="current_active_decision"><b>-</b></span></p>
                        <br>
                        <form method="POST" id="activeDecisionForm" action="#">
                          <input type="number" id="activeDecision" name="activeDecision" placeholder="0" size="10" required>
                          <button type="button" class="saveActiveDecision btn btn-primary" name="saveActiveDecision">Aktiviere Beschluss</button>
                        </form>
                      </div>



                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row --> 
        <!-- ANSWERED POLL -->



        <!-- RESULT POLL -->
        <div class="row decision_detail">
          <div class="col-lg-7 connectedSortable ui-sortable">
            <div class="card">
              <div class="card-header">
                <p class="decision-card-text" id="result_title">Angezeiger Beschluss: <span ><b>-</b></span></p>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12">


                      <form method="POST" id="showDecisionForm" action="#">
                        <input type="number" id="showDecision" name="showDecision" placeholder="0" size="10" required>
                        <button type="button" class="showDecision btn btn-secondary" name="showCurrentDecision" onclick="changeResultDecision()">Zeige Beschluss</button>
                      </form>



                      <br>
                      <div class="">
                        <div class="table table-bordered table-hover">  
                          <span id="result"></span>
                          <div id="live_poll_result"></div>                 
                        </div>  
                      </div>



                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
            </div>
            <!-- /.card -->
          </div>
          <div class="col-lg-5 connectedSortable ui-sortable">
            <div class="card">
              <div class="card-header">
                <h5 id="graph_title" class="card-title">Graph: -</h5>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12">
                      <div id="live_graph_result"></div>
                      <br>
                      <u>nach Stimmen</u>
                      <div id="poll-chart-votes"></div>
                      <br>
                      <u>nach Gewichtung</u>
                      <div id="poll-chart-ratings"></div>
                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
            </div>
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row --> 
        <!-- RESULT POLL -->



         <!-- CREATE PROXY LINK -->
        <div class="row mt-4 decision_detail">
          <div class="col-md-12">
            <div class="card">
              <div class="card-header">
                <h5 class="card-title" id="proxy_title">Erstelle Vollmacht</h5>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12">


                      <div class="container">
                        <button class="btn btn-primary" id="proxy_addbutton" title="Add"><span class="fa fa-plus-square"></span></button>
                        <table cellpadding="0" cellspacing="0" border="0" class="dataTable table table-striped" id="proxy_table">
                        </table>
                      </div>


                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row --> 
        <!-- CREATE PROXY LINK -->



         <!-- CREATE POLL -->
        <div class="row mt-4">
          <div class="col-md-12">
            <div class="card">
              <div class="card-header">
                <h5 class="card-title">Erstelle Abstimmung</h5>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div class="row">
                  <div class="col-md-12">



                      <div class="">
                        <!--<div class="table table-bordered table-hover">  
                          <span id="result"></span>
                          <div id="live_news"></div>                 
                        </div>  
                        <br>-->
                        <form method="POST" id="pollForm" action="#">
                          <input type="text" id="pollName" name="pollName" placeholder="Name Abstimmung" size="50" required>
                          <input type="text" id="pollPw" name="pollPw" placeholder="Passwort" size="50" required>

                          <!-- DROPDOWN -->
                          <br><br>
                          <div class="dropdown">
                            <button type="button" id="dropdown_houses" onclick="dropDownHouses()" class="dropbtn btn btn-success">Häuser / Wohnanlagen</button>
                            <div id="houseDropDown" class="dropdown-content" style="height:320px">
                              <input type="text" placeholder="Suche.." id="housesInput" name="housesInput" class="dropbtn2" onkeyup="filterHouses()">
                              <div id="houses" name="houses">
                                <a href="#">-</a>
                              </div>
                            </div>
                          </div>
                          <input type="text" id="house_id" name="house_id" readonly size="25" required>
                          <input type="text" id="house_name" name="house_name" readonly size="25">
                          <br><br>
                          <!-- DROPDOWN -->

                          <table>
                            <tr>
                              <!--<th colspan="3">Beschlüsse</th>-->
                              <th>Beschlüsse</th>
                              <th>Objekt</th>
                              <th>Gewichtung</th>
                              <th>Löschen</th>
                            </tr>
                            <tbody id="tbody"></tbody>
                          </table>

                          <button type="button" id="add_decision" class="btn btn-secondary" onclick="addItem();" disabled>Beschluss hinzufügen</button> <span id="q_count">(0/30)</span>
                          <button type="button" id="save_poll" class="savePoll btn btn-primary" name="savePoll" disabled>Abstimmung erstellen</button>
                        </form>
                      </div>



                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row --> 
        <!-- CREATE POLL -->



      </div><!--/. container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->



  <!-- Modal -->
  <div class="modal fade" id="helpModal" tabindex="-1" role="dialog" aria-labelledby="helpModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="helpModalLabel">Anleitung Abstimmung</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <b>1. Abstimmung erstellen</b> (Alle Felder ausfüllen | Merke: bei Objekt "Alle" manuell abwählen, falls man nicht alle haben möchte)<br>
          <b>2. Abstimmung aktivieren + auswählen</b> (oben in der Liste: roter und dunkelblauer Button für ausgewählte Abstimmung)<br>
          <b>3. Vollmacht(en) hinzufügen</b> (hierfür weiter nach unten scrollen und mittels [+] Maske öffnen)<br>
          <b>4. Jetzt alle Details nochmal prüfen</b> (bevor die Abstimmung beginnnen kann)<br>
          <b>5. Leute melden sich nun an</b> (sichtbar anhand der Liste von "Übersicht Beschlüsse von Abstimmung")<br>
          <b>6. Aktiviere Beschluss 1</b> (wenn alle Teilnehmer bereit sind)<br>
          <b>7.</b> [ Die Leute können ab jetzt abstimmen! ]<br>
          <b>8. Zeige Beschluss 1 an, falls nicht automatisch bereits geschehen</b> (darunter im Bereich "Angezeigter Beschluss", damit Graphen sich aktualisieren)<br>
          <b>9.</b> [ Warten bis alle abgestimmt haben ]<br>
          <b>10. Wiederhole Schritt 6-9</b> (bis für alle Beschlüsse abgestimmt wurde)<br>
             ...<br>
          <b>Am Ende die Abstimmung wieder deaktivieren</b> (grüner Button oben)<br><br>
          <b>Memo:</b> Wenn für einen Beschluss angefangen wurde abzustimmen, muss dies beendet werden.<br>
                       Sollten alle Teilnehmer eine Fehlermeldung erhalten und werden dadurch aus der Abstimmung geworfen, kann es sein, dass beim Eintragen eines weiteren/aktuellen Beschlusses z.B. eine Falscheingabe getätigt wurde. Bpsw. wurde der Beschlusstext vergessen (oder versehentlich bei einem anderen Beschluss eingetragen = der Beschluss der den Fehler wirft, ist leer).
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Schließen</button>
        </div>
      </div>
    </div>
  </div>


<!-- DataTables & Plugins -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="plugins/datatables-select/js/dataTables.select.min.js"></script>
<script src="plugins/datatables-altEditor/js/dataTables.altEditor.free.js"></script>
<script src="plugins/bootstrap-select/js/bootstrap-select.min.js"></script>
<script src="plugins/select2/js/select2.js"></script>
<script src="js/google_charts_loader.js"></script>
<!-- Page specific script -->
<script type="text/javascript" src="js/presenter_poll.js?v=1.15"></script>