<?php 
  class OLog {
    // DB stuff
    private $conn;
    private $tableLogging = 'logging';

    // News Properties
    public $lid;

    public $tag;
    public $message;
    public $deviceId;

    public $timestamp;

    // Constructor with DB
    public function __construct( $db ) {
      $this->conn = $db;
    }

    // Create log
    public function create_log() {
      // Create query
      $query = 'INSERT INTO ' . $this->tableLogging . ' 
                SET tag = :tag, message = :message, deviceId = :deviceId';

      // Prepare statement
      $stmt = $this->conn->prepare($query);

      // Clean data
      $this->tag = htmlspecialchars(strip_tags($this->tag));
      $this->message = htmlspecialchars(strip_tags($this->message));
      $this->deviceId = htmlspecialchars(strip_tags($this->deviceId));

      // Bind data
      $stmt->bindParam(':tag', $this->tag);
      $stmt->bindParam(':message', $this->message);
      $stmt->bindParam(':deviceId', $this->deviceId);

      // Execute query
      if($stmt->execute()) {
        return true;
      }

      return false;
    }

    // Get entire device table
    public function get_log() {
      // Create query
      $query = 'SELECT d.lid, d.tag, d.message, d.deviceId, d.timestamp
                FROM ' . $this->tableLogging . ' d
                ORDER BY
                  d.lid desc
                LIMIT
                  1000';
     
      // Prepare statement
      $stmt = $this->conn->prepare($query);

      // Execute query
      $stmt->execute();

      return $stmt;
    }
    
  }